----- TABELA: ResumoIva------------------

CREATE TABLE [dbo].[ResumoIva](
	[TipoDoc] [nvarchar](5) NOT NULL,
	[NumDoc] [int] NOT NULL,
	[Filial] [nvarchar](3) NOT NULL,
	[Serie] [nvarchar](5) NOT NULL,
	[TaxaIva] [float] NOT NULL,
	[CodIva] [nvarchar](2) NOT NULL,
	[Incidencia] [float] NULL,
	[Valor] [float] NULL,
	[VersaoUltAct] [timestamp] NULL,
	[Modulo] [nvarchar](1) NOT NULL,
	[TaxaRecargo] [float] NOT NULL,
	[ValorRecargo] [float] NULL,
	[ID] [uniqueidentifier] NOT NULL,
	[IVAIndeferido] [bit] NOT NULL,
	[IDOrig] [uniqueidentifier] NOT NULL,
	[AcertoIVA] [float] NULL,
	[IvaNaoDedutivel] [float] NULL,
	[IncidenciaADI] [float] NULL,
	[ValorADI] [float] NULL,
 CONSTRAINT [ResumoIva01] PRIMARY KEY NONCLUSTERED 
(
	[ID] ASC,
	[CodIva] ASC,
	[TaxaIva] ASC,
	[TaxaRecargo] ASC,
	[IDOrig] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80)
)

GO
----- Vistas referentes  Tabela: ResumoIva------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'ResumoIva' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_ResumoIva AS SELECT TOP 10 * FROM ResumoIva ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_ResumoIva AS SELECT TOP 10 * FROM ResumoIva ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'ResumoIva' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_ResumoIva AS SELECT TOP 1 * FROM ResumoIva ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_ResumoIva AS SELECT TOP 1 * FROM ResumoIva ORDER BY VersaoUltAct') 
END
GO


----- TABELA: Artigo------------------

CREATE TABLE [dbo].[Artigo](
	[Artigo] [nvarchar](48) NOT NULL,
	[Descricao] [nvarchar](200) NULL,
	[CodBarras] [nvarchar](48) NULL,
	[UnidadeVenda] [nvarchar](5) NULL,
	[UnidadeBase] [nvarchar](5) NOT NULL,
	[Iva] [nvarchar](2) NOT NULL,
	[Desconto] [real] NULL,
	[Fornecedor] [nvarchar](12) NULL,
	[STKMinimo] [float] NULL,
	[STKMaximo] [float] NULL,
	[STKReposicao] [float] NULL,
	[STKActual] [float] NULL,
	[PCMedio] [float] NULL,
	[PCUltimo] [float] NULL,
	[MovStock] [nvarchar](1) NULL,
	[DataUltEntrada] [datetime] NULL,
	[DataUltSaida] [datetime] NULL,
	[Familia] [nvarchar](10) NULL,
	[ArtSubstituto] [nvarchar](48) NULL,
	[ArtAssociado] [nvarchar](48) NULL,
	[ArmazemSugestao] [nvarchar](5) NULL,
	[TipoArtigo] [nvarchar](3) NOT NULL,
	[TipoComponente] [smallint] NULL,
	[NecessarioRecalcPCM] [bit] NOT NULL,
	[PCPadrao] [float] NULL,
	[SugestaoPrComposto] [smallint] NULL,
	[UltDescontoComercialCompra] [float] NULL,
	[UltDespesaAdicionalCompra] [float] NULL,
	[PrazoEntrega] [smallint] NULL,
	[QtdEconomica] [float] NULL,
	[FormulaVendas] [nvarchar](5) NULL,
	[UltimoFornecedor] [nvarchar](12) NULL,
	[SubFamilia] [nvarchar](10) NULL,
	[UltimoTipoDoc] [nvarchar](5) NULL,
	[UltimoNumDoc] [int] NULL,
	[Peso] [float] NULL,
	[Volume] [float] NULL,
	[Marca] [nvarchar](10) NULL,
	[Garantia] [nvarchar](3) NULL,
	[ArtigoAnulado] [bit] NOT NULL,
	[TratamentoSeries] [bit] NOT NULL,
	[TratamentoLotes] [bit] NOT NULL,
	[LoteFormulaEntradas] [bit] NOT NULL,
	[LoteEntradas] [nvarchar](20) NULL,
	[LoteFormulaSaidas] [bit] NOT NULL,
	[LoteSaidas] [nvarchar](20) NULL,
	[FormulaCompras] [nvarchar](5) NULL,
	[UltimoNumSerie] [nvarchar](50) NULL,
	[UltimoLote] [nvarchar](50) NULL,
	[IntrastatPautal] [nvarchar](9) NULL,
	[IntrastatPeso] [float] NULL,
	[DataUltimaActualizacao] [datetime] NULL,
	[TestaNumSerie] [bit] NOT NULL,
	[SujeitoRetencao] [bit] NOT NULL,
	[Observacoes] [ntext] NULL,
	[TipoDim1] [nvarchar](15) NULL,
	[TipoDim2] [nvarchar](15) NULL,
	[TipoDim3] [nvarchar](15) NULL,
	[Dim1] [nvarchar](20) NULL,
	[Dim2] [nvarchar](20) NULL,
	[Dim3] [nvarchar](20) NULL,
	[DimLote] [bit] NOT NULL,
	[TratamentoDim] [smallint] NOT NULL,
	[Etiqueta] [nvarchar](20) NULL,
	[VersaoUltAct] [timestamp] NULL,
	[OperacaoTesouraria] [bit] NOT NULL,
	[EntidadeOPTesouraria] [nvarchar](12) NULL,
	[Modelo] [nvarchar](20) NULL,
	[UnidadeCompra] [nvarchar](5) NULL,
	[UnidadeEntrada] [nvarchar](5) NULL,
	[UnidadeSaida] [nvarchar](5) NULL,
	[UltimaSerieDoc] [nvarchar](5) NULL,
	[DeduzIvaNoImo] [bit] NOT NULL,
	[PermiteDevolucao] [bit] NOT NULL,
	[TipoEntidadeOpTesouraria] [nvarchar](1) NULL,
	[Imposto] [bit] NOT NULL,
	[TipoDocOpTesouraria] [nvarchar](5) NULL,
	[UtilizadoCCOP] [bit] NOT NULL,
	[Pesar] [bit] NOT NULL,
	[IdGDOC] [uniqueidentifier] NULL,
	[SujeitoProRata] [bit] NOT NULL,
	[PercIvaDedutivel] [real] NULL,
	[SujeitoEcotaxa] [bit] NOT NULL,
	[Ecovalor] [float] NULL,
	[AfectaPCM] [bit] NOT NULL,
	[LocalizacaoSugestao] [varchar](30) NULL,
	[ArtigoPai] [nvarchar](48) NULL,
	[OrdemDim] [int] NULL,
	[RubDim1] [nvarchar](10) NULL,
	[RubDim2] [nvarchar](10) NULL,
	[RubDim3] [nvarchar](10) NULL,
	[IDTipoOrigemGPR] [tinyint] NULL,
	[FabCompAutoGPR] [bit] NOT NULL,
	[CalcNecessidadesGPR] [bit] NOT NULL,
	[QtReservadaGPR] [real] NULL,
	[QtReceberGPR] [real] NULL,
	[IDTipoProducaoGPR] [tinyint] NULL,
	[DesperdicioGPR] [real] NULL,
	[UtilizadoGPR] [bit] NOT NULL,
	[PercIncidenciaIVA] [float] NULL,
	[NaturezaAnalitica] [int] NULL,
	[IdClassificacao] [uniqueidentifier] NULL,
	[FormulaGPR] [nvarchar](5) NULL,
	[SequenciaGPR] [int] NULL,
	[DesactivadoGPR] [bit] NULL,
	[DataDesactivacaoGPR] [datetime] NULL,
	[SujeitoIEC] [bit] NULL,
	[CategoriaIEC] [nvarchar](10) NULL,
	[CodigoTaric] [nvarchar](14) NULL,
	[EmbalagemIEC] [nvarchar](2) NULL,
	[CapacidadeEmbIEC] [float] NULL,
	[UnidadeTaric] [nvarchar](5) NULL,
	[FactConvIEC] [float] NULL,
	[ValorIEC] [float] NULL,
	[TaxaAlcool] [float] NULL,
	[UtilManutencao] [bit] NULL,
	[PesoLiquido] [float] NULL,
	[GestaoSingular] [bit] NOT NULL,
	[Selo] [nvarchar](15) NULL,
	[CodigoBebidaEspirituosa] [varchar](10) NULL,
	[CodigoEstampilha] [varchar](2) NULL,
	[FactorUnidadeSup] [real] NOT NULL,
	[GrupoCenariosCompras] [nvarchar](20) NULL,
	[IsentoPagDireitos] [bit] NOT NULL,
	[CodigoPautal] [nvarchar](15) NULL,
	[IsentoIEC] [bit] NOT NULL,
	[CodigoIsentoIEC] [nvarchar](4) NULL,
	[CodigoAdicionalAltIEC] [int] NULL,
	[SujeitoRetencaoArtigo] [bit] NULL,
	[RetencaoArtigoValor] [float] NULL,
	[RetencaoArtigoTipoValor] [bit] NULL,
	[eGAR_LER] [varchar](128) NULL,
	[eGAR_Grupo] [varchar](100) NULL,
	[NumeroONU] [nvarchar](11) NULL,
	[GrupoEmbalagem] [nvarchar](4) NULL,
	[ClasseArtigoTaxFree] [nvarchar](3) NULL,
	[CDU_Embalagem] [nvarchar](25) NOT NULL,
	[CDU_POS] [bit] NOT NULL,
	[CDU_RES] [bit] NOT NULL,
	[CDU_Unidades] [bigint] NULL,
	[CDU_Seccao] [nvarchar](25) NULL,
	[ControlaTransformacaoValor] [bit] NULL,
	[CodigoCPV] [nvarchar](10) NULL,
	[TipoCusteio] [tinyint] NOT NULL,
	[IdTransferencia] [uniqueidentifier] NULL,
	[DataTransferencia] [datetime] NULL,
	[DataCustoPadrao] [datetime] NULL,
	[LastIndexDate] [datetime] NULL,
	[GrauPlato] [float] NULL,
	[CDU_PRO] [bit] NULL,
	[CalcNessidadesMultiploCompra] [float] NULL,
	[Imovel] [bit] NULL,
 CONSTRAINT [Artigo01] PRIMARY KEY CLUSTERED 
(
	[Artigo] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80)
)

GO
----- Vistas referentes  Tabela: Artigo------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'Artigo' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_Artigo AS SELECT TOP 10 * FROM Artigo ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_Artigo AS SELECT TOP 10 * FROM Artigo ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'Artigo' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_Artigo AS SELECT TOP 1 * FROM Artigo ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_Artigo AS SELECT TOP 1 * FROM Artigo ORDER BY VersaoUltAct') 
END
GO


----- TABELA: ArtigoCodBarras------------------

CREATE TABLE [dbo].[ArtigoCodBarras](
	[CodBarras] [nvarchar](48) NOT NULL,
	[Artigo] [nvarchar](48) NOT NULL,
	[Fornecedor] [nvarchar](12) NULL,
	[VersaoUltAct] [timestamp] NULL,
	[IdArtigoDim] [uniqueidentifier] NULL,
	[Unidade] [nvarchar](5) NULL,
 CONSTRAINT [ArtigoCodBarras01] PRIMARY KEY CLUSTERED 
(
	[CodBarras] ASC,
	[Artigo] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90)
)

GO
----- Vistas referentes  Tabela: ArtigoCodBarras------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'ArtigoCodBarras' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_ArtigoCodBarras AS SELECT TOP 10 * FROM ArtigoCodBarras ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_ArtigoCodBarras AS SELECT TOP 10 * FROM ArtigoCodBarras ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'ArtigoCodBarras' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_ArtigoCodBarras AS SELECT TOP 1 * FROM ArtigoCodBarras ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_ArtigoCodBarras AS SELECT TOP 1 * FROM ArtigoCodBarras ORDER BY VersaoUltAct') 
END
GO


----- TABELA: ArtigoFornecedor------------------

CREATE TABLE [dbo].[ArtigoFornecedor](
	[Artigo] [nvarchar](48) NOT NULL,
	[Fornecedor] [nvarchar](12) NOT NULL,
	[DescricaoFor] [nvarchar](200) NULL,
	[ReferenciaFor] [nvarchar](48) NULL,
	[PrCustoUltimo] [float] NULL,
	[DatUltEntrada] [datetime] NULL,
	[FactorConvCompra] [float] NULL,
	[UnidadeCompra] [nvarchar](5) NULL,
	[PrazoEntrega] [smallint] NULL,
	[UltDescontoComercialCompra] [float] NULL,
	[UltDespesaAdicionalCompra] [float] NULL,
	[TempoSeguranca] [smallint] NULL,
	[PrecoUltEncomenda] [float] NULL,
	[DescFor] [real] NULL,
	[Moeda] [nvarchar](3) NULL,
	[TipoDoc] [nvarchar](5) NULL,
	[NumDoc] [int] NULL,
	[CodBarras] [nvarchar](20) NULL,
	[VersaoUltAct] [timestamp] NULL,
	[SerieDoc] [nvarchar](5) NULL,
	[IvaIncluido] [bit] NOT NULL,
	[CodIva] [nvarchar](2) NULL,
	[TaxaIva] [real] NULL,
	[Classificacao] [int] NULL,
	[CDU_CodBarrasEntidade] [nvarchar](14) NULL,
 CONSTRAINT [ArtigoFornecedor01] PRIMARY KEY CLUSTERED 
(
	[Artigo] ASC,
	[Fornecedor] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80)
)

GO
----- Vistas referentes  Tabela: ArtigoFornecedor------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'ArtigoFornecedor' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_ArtigoFornecedor AS SELECT TOP 10 * FROM ArtigoFornecedor ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_ArtigoFornecedor AS SELECT TOP 10 * FROM ArtigoFornecedor ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'ArtigoFornecedor' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_ArtigoFornecedor AS SELECT TOP 1 * FROM ArtigoFornecedor ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_ArtigoFornecedor AS SELECT TOP 1 * FROM ArtigoFornecedor ORDER BY VersaoUltAct') 
END
GO


----- TABELA: ArtigoIdioma------------------

CREATE TABLE [dbo].[ArtigoIdioma](
	[Artigo] [nvarchar](48) NOT NULL,
	[Idioma] [nvarchar](3) NOT NULL,
	[Descricao] [nvarchar](200) NULL,
	[VersaoUltAct] [timestamp] NULL,
	[DescricaoAbrev] [nvarchar](25) NULL,
	[DescricaoComercial] [nvarchar](255) NULL,
	[Caracteristicas] [ntext] NULL,
 CONSTRAINT [ArtigoIdioma01] PRIMARY KEY CLUSTERED 
(
	[Artigo] ASC,
	[Idioma] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80)
)

GO
----- Vistas referentes  Tabela: ArtigoIdioma------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'ArtigoIdioma' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_ArtigoIdioma AS SELECT TOP 10 * FROM ArtigoIdioma ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_ArtigoIdioma AS SELECT TOP 10 * FROM ArtigoIdioma ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'ArtigoIdioma' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_ArtigoIdioma AS SELECT TOP 1 * FROM ArtigoIdioma ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_ArtigoIdioma AS SELECT TOP 1 * FROM ArtigoIdioma ORDER BY VersaoUltAct') 
END
GO


----- TABELA: ArtigoMoeda------------------

CREATE TABLE [dbo].[ArtigoMoeda](
	[Artigo] [nvarchar](48) NOT NULL,
	[Moeda] [nvarchar](3) NOT NULL,
	[PVP1] [float] NULL,
	[PVP2] [float] NULL,
	[PVP3] [float] NULL,
	[PVP4] [float] NULL,
	[PVP5] [float] NULL,
	[PVP6] [float] NULL,
	[VersaoUltAct] [timestamp] NULL,
	[Unidade] [nvarchar](5) NOT NULL,
	[PVP1IvaIncluido] [bit] NOT NULL,
	[PVP2IvaIncluido] [bit] NOT NULL,
	[PVP3IvaIncluido] [bit] NOT NULL,
	[PVP4IvaIncluido] [bit] NOT NULL,
	[PVP5IvaIncluido] [bit] NOT NULL,
	[PVP6IvaIncluido] [bit] NOT NULL,
 CONSTRAINT [ArtigoMoeda01] PRIMARY KEY CLUSTERED 
(
	[Artigo] ASC,
	[Unidade] ASC,
	[Moeda] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90)
)

GO
----- Vistas referentes  Tabela: ArtigoMoeda------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'ArtigoMoeda' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_ArtigoMoeda AS SELECT TOP 10 * FROM ArtigoMoeda ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_ArtigoMoeda AS SELECT TOP 10 * FROM ArtigoMoeda ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'ArtigoMoeda' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_ArtigoMoeda AS SELECT TOP 1 * FROM ArtigoMoeda ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_ArtigoMoeda AS SELECT TOP 1 * FROM ArtigoMoeda ORDER BY VersaoUltAct') 
END
GO


----- TABELA: CabecCompras------------------

CREATE TABLE [dbo].[CabecCompras](
	[Filial] [nvarchar](3) NOT NULL,
	[Serie] [nvarchar](5) NOT NULL,
	[TipoDoc] [nvarchar](5) NOT NULL,
	[NumDoc] [int] NOT NULL,
	[Entidade] [nvarchar](12) NULL,
	[DataDoc] [datetime] NULL,
	[DataVencimento] [datetime] NULL,
	[DataIntroducao] [datetime] NULL,
	[NumDocExterno] [nvarchar](60) NULL,
	[CondPag] [nvarchar](2) NULL,
	[ModoExp] [nvarchar](5) NULL,
	[ModoPag] [nvarchar](5) NULL,
	[DescPag] [real] NULL,
	[TotalMerc] [float] NULL,
	[TotalIva] [float] NULL,
	[TotalDesc] [float] NULL,
	[TotalOutros] [float] NULL,
	[TotalDespesasAdicionais] [float] NULL,
	[UtilizaMoradaAltEntrega] [bit] NULL,
	[MoradaAltEntrega] [nvarchar](10) NULL,
	[RegimeIva] [nvarchar](1) NULL,
	[Moeda] [nvarchar](3) NULL,
	[Cambio] [float] NULL,
	[Requisicao] [nvarchar](20) NULL,
	[MoedaDaUEM] [bit] NULL,
	[Arredondamento] [smallint] NULL,
	[ArredondamentoIva] [smallint] NULL,
	[IntrastatNatA] [nvarchar](2) NULL,
	[IntrastatNatB] [nvarchar](2) NULL,
	[IntrastatCondEnt] [nvarchar](3) NULL,
	[IntrastatModoTransp] [nvarchar](1) NULL,
	[IntrastatPorto] [nvarchar](4) NULL,
	[Diario] [nvarchar](5) NULL,
	[NumDiario] [int] NULL,
	[DataUltimaActualizacao] [datetime] NULL,
	[NumContribuinte] [nvarchar](20) NULL,
	[Nome] [nvarchar](150) NULL,
	[Morada] [nvarchar](50) NULL,
	[Localidade] [nvarchar](50) NULL,
	[CodPostal] [nvarchar](15) NULL,
	[CodPostalLocalidade] [nvarchar](50) NULL,
	[Utilizador] [nvarchar](20) NULL,
	[Posto] [nvarchar](3) NULL,
	[DocsOriginais] [ntext] NULL,
	[Observacoes] [ntext] NULL,
	[PercentagemRetencao] [float] NULL,
	[TotalRetencao] [float] NULL,
	[LocalCarga] [nvarchar](50) NULL,
	[HoraCarga] [nvarchar](20) NULL,
	[LocalDescarga] [nvarchar](50) NULL,
	[HoraDescarga] [nvarchar](20) NULL,
	[DataCarga] [nvarchar](20) NULL,
	[DataDescarga] [nvarchar](20) NULL,
	[Matricula] [nvarchar](25) NULL,
	[VersaoUltAct] [timestamp] NULL,
	[Id] [uniqueidentifier] NOT NULL,
	[TipoEntidade] [nvarchar](1) NULL,
	[IdCabecTesouraria] [uniqueidentifier] NULL,
	[DescEntidade] [real] NULL,
	[Responsavel] [nvarchar](25) NULL,
	[Referencia] [nvarchar](20) NULL,
	[FluxoDocumental] [nvarchar](3) NULL,
	[AnoCBL] [smallint] NULL,
	[IdGDOC] [uniqueidentifier] NULL,
	[IdDocConferencia] [uniqueidentifier] NULL,
	[ObraID] [uniqueidentifier] NULL,
	[IdCabecEstorno] [uniqueidentifier] NULL,
	[IdDocB2B] [uniqueidentifier] NULL,
	[LocalOperacao] [varchar](2) NULL,
	[DE_IL] [nvarchar](20) NULL,
	[TotalEcotaxa] [float] NOT NULL,
	[CambioMBase] [float] NOT NULL,
	[CambioMAlt] [float] NOT NULL,
	[TipoEntidadeEntrega] [nvarchar](1) NULL,
	[EntidadeEntrega] [nvarchar](12) NULL,
	[NomeEntrega] [nvarchar](100) NULL,
	[MoradaEntrega] [nvarchar](50) NULL,
	[LocalidadeEntrega] [nvarchar](50) NULL,
	[CodPostalEntrega] [nvarchar](15) NULL,
	[CodPostalLocalidadeEntrega] [nvarchar](50) NULL,
	[IdCabecMovCbl] [uniqueidentifier] NULL,
	[TotalRecargo] [float] NULL,
	[TotalRetencaoGarantia] [float] NULL,
	[Versao] [varchar](5) NULL,
	[ContaDomiciliacao] [varchar](5) NULL,
	[TipoOperacao] [nvarchar](2) NULL,
	[Distrito] [varchar](2) NULL,
	[DistritoEntrega] [varchar](2) NULL,
	[CDU_CabVar1] [nvarchar](15) NULL,
	[IntrastatRegEstatistico] [varchar](1) NULL,
	[Morada2] [nvarchar](50) NULL,
	[TipoLancamento] [varchar](3) NULL,
	[TotalIEC] [float] NULL,
	[DataGravacao] [datetime] NOT NULL,
	[PendentePorLinha] [bit] NOT NULL,
	[RegimeIvaReembolsos] [smallint] NOT NULL,
	[EspacoFiscal] [smallint] NOT NULL,
	[Morada2Entrega] [nvarchar](50) NULL,
	[Pais] [nvarchar](2) NULL,
	[RefDocOrig] [varchar](50) NULL,
	[Certificado] [varchar](50) NULL,
	[VersaoAssinatura] [nvarchar](20) NULL,
	[Assinatura] [nvarchar](255) NULL,
	[IdDocOrigem] [uniqueidentifier] NULL,
	[ModuloOrigem] [nvarchar](1) NULL,
	[WBSItem] [nvarchar](100) NULL,
	[B2BTrataTrans] [bit] NOT NULL,
	[B2BEnvioNaGravacao] [bit] NULL,
	[CambioADataDoc] [bit] NOT NULL,
	[PaisEntrega] [nvarchar](2) NULL,
	[MoradaCarga] [nvarchar](50) NULL,
	[Morada2Carga] [nvarchar](50) NULL,
	[LocalidadeCarga] [nvarchar](50) NULL,
	[CodPostalCarga] [nvarchar](15) NULL,
	[CodPostalLocalidadeCarga] [nvarchar](50) NULL,
	[DistritoCarga] [varchar](2) NULL,
	[PaisCarga] [nvarchar](2) NULL,
	[CAE] [varchar](15) NULL,
	[Resumo] [bit] NULL,
	[IDRegularizacao] [uniqueidentifier] NULL,
	[TrataIvaCaixa] [bit] NOT NULL,
	[Documento] [nvarchar](50) NULL,
	[ContratoID] [uniqueidentifier] NULL,
	[RefTipoDocOrig] [varchar](50) NULL,
	[RefSerieDocOrig] [varchar](50) NULL,
	[TotalDocumento] [float] NOT NULL,
	[CertificadoRecuperacao] [nvarchar](50) NULL,
	[TipoFiscal] [varchar](3) NULL,
	[PercentagemCativacao] [float] NULL,
	[CDU_CodigoLocalizacao] [nvarchar](13) NULL,
	[RefDataDocOrig] [datetime] NULL,
	[TipoTerceiro] [nvarchar](3) NULL,
	[Desatualizado] [bit] NOT NULL,
	[DataHoraCarga] [datetime] NULL,
	[DataHoraDescarga] [datetime] NULL,
	[ContratoFactoring] [nvarchar](15) NULL,
	[CriadoPor] [nvarchar](20) NULL,
	[Reposicao] [bit] NOT NULL,
 CONSTRAINT [CabecCompras01] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80)
)

GO
----- Vistas referentes  Tabela: CabecCompras------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'CabecCompras' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_CabecCompras AS SELECT TOP 10 * FROM CabecCompras ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_CabecCompras AS SELECT TOP 10 * FROM CabecCompras ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'CabecCompras' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_CabecCompras AS SELECT TOP 1 * FROM CabecCompras ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_CabecCompras AS SELECT TOP 1 * FROM CabecCompras ORDER BY VersaoUltAct') 
END
GO


----- TABELA: CabecComprasExtended------------------

CREATE TABLE [dbo].[CabecComprasExtended](
	[IdCabecCompras] [uniqueidentifier] NOT NULL,
	[ATCUD] [nvarchar](255) NULL,
	[VersaoUltAct] [timestamp] NOT NULL,
	[CodigoFiscal] [nvarchar](255) NULL,
 CONSTRAINT [PK_CabecComprasExtended] PRIMARY KEY CLUSTERED 
(
	[IdCabecCompras] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80)
)

GO
----- Vistas referentes  Tabela: CabecComprasExtended------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'CabecComprasExtended' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_CabecComprasExtended AS SELECT TOP 10 * FROM CabecComprasExtended ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_CabecComprasExtended AS SELECT TOP 10 * FROM CabecComprasExtended ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'CabecComprasExtended' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_CabecComprasExtended AS SELECT TOP 1 * FROM CabecComprasExtended ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_CabecComprasExtended AS SELECT TOP 1 * FROM CabecComprasExtended ORDER BY VersaoUltAct') 
END
GO


----- TABELA: CabecComprasStatus------------------

CREATE TABLE [dbo].[CabecComprasStatus](
	[IdCabecCompras] [uniqueidentifier] NOT NULL,
	[DocImp] [bit] NULL,
	[MovContab] [smallint] NULL,
	[MovImobilizado] [smallint] NULL,
	[Estado] [nvarchar](1) NULL,
	[Anulado] [bit] NULL,
	[Fechado] [bit] NULL,
	[VersaoUltAct] [timestamp] NOT NULL,
	[EstadoIEC] [smallint] NULL,
	[DataImp] [datetime] NULL,
	[ATDocCodeID] [nvarchar](200) NULL,
	[MotivoAnulacao] [nvarchar](3) NULL,
	[DataAnulacao] [datetime] NULL,
	[UtilizadorAnulacao] [nvarchar](20) NULL,
	[ATTrataTrans] [smallint] NOT NULL,
	[CalculoManual] [bit] NOT NULL,
	[ExportadoSAFTAuditoria] [bit] NULL,
	[DocEnviadoEmail] [bit] NOT NULL,
	[DataEnviadoEmail] [datetime] NULL,
 CONSTRAINT [CabecComprasStatus01] PRIMARY KEY CLUSTERED 
(
	[IdCabecCompras] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80)
)

GO
----- Vistas referentes  Tabela: CabecComprasStatus------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'CabecComprasStatus' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_CabecComprasStatus AS SELECT TOP 10 * FROM CabecComprasStatus ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_CabecComprasStatus AS SELECT TOP 10 * FROM CabecComprasStatus ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'CabecComprasStatus' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_CabecComprasStatus AS SELECT TOP 1 * FROM CabecComprasStatus ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_CabecComprasStatus AS SELECT TOP 1 * FROM CabecComprasStatus ORDER BY VersaoUltAct') 
END
GO


----- TABELA: CabecDoc------------------

CREATE TABLE [dbo].[CabecDoc](
	[Data] [datetime] NULL,
	[Zona] [nvarchar](2) NULL,
	[Entidade] [nvarchar](12) NULL,
	[TipoDoc] [nvarchar](5) NOT NULL,
	[NumDoc] [int] NOT NULL,
	[CondPag] [nvarchar](2) NULL,
	[DescPag] [real] NULL,
	[TotalMerc] [float] NULL,
	[TotalIva] [float] NULL,
	[TotalDesc] [float] NULL,
	[TotalOutros] [float] NULL,
	[ModoExp] [nvarchar](5) NULL,
	[ModoPag] [nvarchar](5) NULL,
	[UtilizaMoradaAltEntrega] [bit] NULL,
	[MoradaAltEntrega] [nvarchar](10) NULL,
	[Seccao] [nvarchar](2) NULL,
	[RegimeIva] [nvarchar](1) NULL,
	[Moeda] [nvarchar](3) NULL,
	[Cambio] [float] NULL,
	[Requisicao] [nvarchar](60) NULL,
	[DataVencimento] [datetime] NULL,
	[LocalCarga] [nvarchar](50) NULL,
	[HoraCarga] [nvarchar](5) NULL,
	[LocalDescarga] [nvarchar](50) NULL,
	[HoraDescarga] [nvarchar](5) NULL,
	[Matricula] [nvarchar](25) NULL,
	[Filial] [nvarchar](3) NOT NULL,
	[Serie] [nvarchar](5) NOT NULL,
	[MoedaDaUEM] [bit] NULL,
	[Arredondamento] [smallint] NULL,
	[ArredondamentoIva] [smallint] NULL,
	[IntrastatNatA] [nvarchar](2) NULL,
	[IntrastatNatB] [nvarchar](2) NULL,
	[IntrastatCondEnt] [nvarchar](3) NULL,
	[IntrastatModoTransp] [nvarchar](1) NULL,
	[IntrastatPorto] [nvarchar](4) NULL,
	[Diario] [nvarchar](5) NULL,
	[NumDiario] [int] NULL,
	[DataUltimaActualizacao] [datetime] NULL,
	[RespCobranca] [nvarchar](3) NULL,
	[NumContribuinte] [nvarchar](20) NULL,
	[Nome] [nvarchar](100) NULL,
	[Morada] [nvarchar](50) NULL,
	[Localidade] [nvarchar](50) NULL,
	[CodPostal] [nvarchar](15) NULL,
	[CodPostalLocalidade] [nvarchar](50) NULL,
	[Utilizador] [nvarchar](20) NULL,
	[Posto] [nvarchar](3) NULL,
	[DocsOriginais] [ntext] NULL,
	[Observacoes] [ntext] NULL,
	[PercentagemRetencao] [float] NULL,
	[TotalRetencao] [float] NULL,
	[DataCarga] [nvarchar](20) NULL,
	[DataDescarga] [nvarchar](20) NULL,
	[TipoOperacao] [nvarchar](2) NULL,
	[VersaoUltAct] [timestamp] NULL,
	[Id] [uniqueidentifier] NOT NULL,
	[IdCabecTesouraria] [uniqueidentifier] NULL,
	[TipoEntidade] [nvarchar](1) NULL,
	[DescEntidade] [real] NULL,
	[Responsavel] [nvarchar](25) NULL,
	[Referencia] [nvarchar](60) NULL,
	[FluxoDocumental] [nvarchar](3) NULL,
	[AnoCBL] [smallint] NULL,
	[IdGDOC] [uniqueidentifier] NULL,
	[ObraID] [uniqueidentifier] NULL,
	[IdCabecEstorno] [uniqueidentifier] NULL,
	[IdDocB2B] [uniqueidentifier] NULL,
	[LocalOperacao] [varchar](2) NULL,
	[TotalEcotaxa] [float] NOT NULL,
	[DE_IL] [nvarchar](20) NULL,
	[CambioMBase] [float] NOT NULL,
	[CambioMAlt] [float] NOT NULL,
	[IDDiarioCaixa] [uniqueidentifier] NULL,
	[TipoEntidadeEntrega] [nvarchar](1) NULL,
	[EntidadeEntrega] [nvarchar](12) NULL,
	[NomeEntrega] [nvarchar](100) NULL,
	[MoradaEntrega] [nvarchar](50) NULL,
	[LocalidadeEntrega] [nvarchar](50) NULL,
	[CodPostalEntrega] [nvarchar](15) NULL,
	[CodPostalLocalidadeEntrega] [nvarchar](50) NULL,
	[IdCabecMovCbl] [uniqueidentifier] NULL,
	[TotalRecargo] [float] NULL,
	[TotalRetencaoGarantia] [float] NULL,
	[Grupo] [varchar](30) NULL,
	[Origem] [varchar](15) NULL,
	[OrigemPOS] [bit] NOT NULL,
	[Versao] [varchar](5) NULL,
	[IDAvenca] [uniqueidentifier] NULL,
	[ContaDomiciliacao] [varchar](5) NULL,
	[Distrito] [varchar](2) NULL,
	[DistritoEntrega] [varchar](2) NULL,
	[CDU_CabVar1] [nvarchar](15) NULL,
	[IntrastatRegEstatistico] [varchar](1) NULL,
	[Morada2] [nvarchar](50) NULL,
	[TipoLancamento] [varchar](3) NULL,
	[TipoEntidadeFac] [nvarchar](1) NULL,
	[EntidadeFac] [nvarchar](12) NULL,
	[NomeFac] [nvarchar](150) NULL,
	[MoradaFac] [nvarchar](50) NULL,
	[Morada2Fac] [nvarchar](50) NULL,
	[LocalidadeFac] [nvarchar](50) NULL,
	[CodigoPostalFac] [nvarchar](15) NULL,
	[LocalidadeCodigoPostalFac] [nvarchar](50) NULL,
	[NumContribuinteFac] [nvarchar](20) NULL,
	[DistritoFac] [varchar](2) NULL,
	[EntidadeDescarga] [nvarchar](12) NULL,
	[TotalIEC] [float] NULL,
	[DataGravacao] [datetime] NOT NULL,
	[PendentePorLinha] [bit] NOT NULL,
	[Assinatura] [nvarchar](255) NULL,
	[VersaoAssinatura] [nvarchar](20) NULL,
	[RegimeIvaReembolsos] [smallint] NOT NULL,
	[EspacoFiscal] [smallint] NOT NULL,
	[Morada2Entrega] [nvarchar](50) NULL,
	[IdOportunidade] [uniqueidentifier] NULL,
	[NumProposta] [smallint] NULL,
	[PaisFac] [nvarchar](2) NULL,
	[Pais] [nvarchar](2) NULL,
	[RefDocOrig] [varchar](50) NULL,
	[Certificado] [varchar](50) NULL,
	[IdDocOrigem] [uniqueidentifier] NULL,
	[ModuloOrigem] [nvarchar](1) NULL,
	[WBSItem] [nvarchar](100) NULL,
	[B2BTrataTrans] [bit] NOT NULL,
	[B2BEnvioNaGravacao] [bit] NULL,
	[CambioADataDoc] [bit] NOT NULL,
	[PaisEntrega] [nvarchar](2) NULL,
	[MoradaCarga] [nvarchar](50) NULL,
	[Morada2Carga] [nvarchar](50) NULL,
	[LocalidadeCarga] [nvarchar](50) NULL,
	[CodPostalCarga] [nvarchar](15) NULL,
	[CodPostalLocalidadeCarga] [nvarchar](50) NULL,
	[DistritoCarga] [varchar](2) NULL,
	[PaisCarga] [nvarchar](2) NULL,
	[CAE] [varchar](15) NULL,
	[Resumo] [bit] NULL,
	[IDRegularizacao] [uniqueidentifier] NULL,
	[TotalIS] [float] NOT NULL,
	[TrataIvaCaixa] [bit] NOT NULL,
	[ContratoID] [uniqueidentifier] NULL,
	[Documento] [nvarchar](50) NULL,
	[RefTipoDocOrig] [varchar](50) NULL,
	[RefSerieDocOrig] [varchar](50) NULL,
	[TotalDocumento] [float] NOT NULL,
	[CertificadoRecuperacao] [nvarchar](50) NULL,
	[MargemDoc] [float] NOT NULL,
	[TipoFiscal] [varchar](3) NULL,
	[PercentagemCativacao] [float] NULL,
	[CDU_CodigoLocalizacao] [varchar](13) NULL,
	[ServContinuados] [bit] NOT NULL,
	[TipoTerceiro] [nvarchar](3) NULL,
	[Desatualizado] [bit] NOT NULL,
	[DataHoraCarga] [datetime] NULL,
	[DataHoraDescarga] [datetime] NULL,
	[LastIndexDate] [datetime] NULL,
	[ValorEntregue] [float] NULL,
	[CriadoPor] [nvarchar](20) NULL,
 CONSTRAINT [CabecDoc01] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80)
)

GO
----- Vistas referentes  Tabela: CabecDoc------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'CabecDoc' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_CabecDoc AS SELECT TOP 10 * FROM CabecDoc ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_CabecDoc AS SELECT TOP 10 * FROM CabecDoc ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'CabecDoc' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_CabecDoc AS SELECT TOP 1 * FROM CabecDoc ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_CabecDoc AS SELECT TOP 1 * FROM CabecDoc ORDER BY VersaoUltAct') 
END
GO


----- TABELA: CabecDocDevolucoes------------------

CREATE TABLE [dbo].[CabecDocDevolucoes](
	[ID] [uniqueidentifier] NOT NULL,
	[IDDocVenda] [uniqueidentifier] NULL,
	[IDDocCredito] [uniqueidentifier] NULL,
	[IDHistorico] [uniqueidentifier] NULL,
	[Estado] [nvarchar](4) NULL,
	[Valor] [float] NULL,
	[Filial] [nvarchar](3) NULL,
	[Serie] [nvarchar](5) NULL,
	[TipoDoc] [nvarchar](5) NULL,
	[NumDoc] [int] NULL,
	[Modulo] [nvarchar](1) NULL,
	[VersaoUltAct] [timestamp] NULL,
	[IDDocOrigem] [uniqueidentifier] NULL,
	[ValorParcial] [float] NOT NULL,
 CONSTRAINT [CabecDocDevolucoes01] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90)
)

GO
----- Vistas referentes  Tabela: CabecDocDevolucoes------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'CabecDocDevolucoes' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_CabecDocDevolucoes AS SELECT TOP 10 * FROM CabecDocDevolucoes ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_CabecDocDevolucoes AS SELECT TOP 10 * FROM CabecDocDevolucoes ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'CabecDocDevolucoes' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_CabecDocDevolucoes AS SELECT TOP 1 * FROM CabecDocDevolucoes ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_CabecDocDevolucoes AS SELECT TOP 1 * FROM CabecDocDevolucoes ORDER BY VersaoUltAct') 
END
GO


----- TABELA: CabecDocStatus------------------

CREATE TABLE [dbo].[CabecDocStatus](
	[IdCabecDoc] [uniqueidentifier] NOT NULL,
	[DocImp] [bit] NULL,
	[MovContab] [smallint] NULL,
	[MovImobilizado] [smallint] NULL,
	[Estado] [nvarchar](1) NULL,
	[LigacaoCBLLote] [bit] NULL,
	[EstadoCBLEntidade] [smallint] NULL,
	[Anulado] [bit] NULL,
	[Fechado] [bit] NULL,
	[VersaoUltAct] [timestamp] NOT NULL,
	[EstadoIEC] [smallint] NULL,
	[DataImp] [datetime] NULL,
	[ATTrataTrans] [smallint] NOT NULL,
	[ATDocCodeID] [nvarchar](200) NULL,
	[MotivoAnulacao] [nvarchar](3) NULL,
	[DataAnulacao] [datetime] NULL,
	[UtilizadorAnulacao] [nvarchar](20) NULL,
	[CalculoManual] [bit] NOT NULL,
	[ExportadoSAFTAuditoria] [bit] NULL,
	[OcultaCargaDescarga] [bit] NULL,
	[MotivoEmissao] [nvarchar](3) NULL,
	[DescricaoMotivoEmissao] [nvarchar](100) NULL,
	[DocEnviadoEmail] [bit] NOT NULL,
	[DataEnviadoEmail] [datetime] NULL,
 CONSTRAINT [CabecDocStatus01] PRIMARY KEY CLUSTERED 
(
	[IdCabecDoc] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90)
)

GO
----- Vistas referentes  Tabela: CabecDocStatus------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'CabecDocStatus' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_CabecDocStatus AS SELECT TOP 10 * FROM CabecDocStatus ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_CabecDocStatus AS SELECT TOP 10 * FROM CabecDocStatus ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'CabecDocStatus' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_CabecDocStatus AS SELECT TOP 1 * FROM CabecDocStatus ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_CabecDocStatus AS SELECT TOP 1 * FROM CabecDocStatus ORDER BY VersaoUltAct') 
END
GO


----- TABELA: CabecInternos------------------

CREATE TABLE [dbo].[CabecInternos](
	[Id] [uniqueidentifier] NOT NULL,
	[TipoDoc] [nvarchar](5) NOT NULL,
	[NumDoc] [int] NOT NULL,
	[Filial] [nvarchar](3) NOT NULL,
	[Serie] [nvarchar](5) NOT NULL,
	[TipoEntidade] [nvarchar](1) NULL,
	[Entidade] [nvarchar](12) NULL,
	[Nome] [nvarchar](150) NULL,
	[Morada] [nvarchar](50) NULL,
	[Localidade] [nvarchar](50) NULL,
	[CodPostal] [nvarchar](15) NULL,
	[CodPostalLocalidade] [nvarchar](50) NULL,
	[NumContribuinte] [nvarchar](20) NULL,
	[Referencia] [nvarchar](20) NULL,
	[Moeda] [nvarchar](3) NULL,
	[MoedaDaUEM] [bit] NULL,
	[Cambio] [float] NULL,
	[CambioMAlt] [float] NULL,
	[CambioMBase] [float] NULL,
	[Arredondamento] [smallint] NULL,
	[ArredondamentoIva] [smallint] NULL,
	[Data] [datetime] NULL,
	[DataVencimento] [datetime] NULL,
	[DescEntidade] [real] NULL,
	[DescPag] [real] NULL,
	[ModoPag] [nvarchar](5) NULL,
	[CondPag] [nvarchar](2) NULL,
	[ModoExp] [nvarchar](5) NULL,
	[RegimeIva] [nvarchar](1) NULL,
	[Matricula] [nvarchar](25) NULL,
	[LocalCarga] [nvarchar](50) NULL,
	[DataCarga] [nvarchar](20) NULL,
	[HoraCarga] [nvarchar](5) NULL,
	[LocalDescarga] [nvarchar](50) NULL,
	[HoraDescarga] [nvarchar](5) NULL,
	[DataDescarga] [nvarchar](20) NULL,
	[UtilizaMoradaAltEntrega] [bit] NULL,
	[MoradaAltEntrega] [nvarchar](10) NULL,
	[Observacoes] [ntext] NULL,
	[Requisitante] [nvarchar](20) NULL,
	[DataEntrega] [datetime] NULL,
	[TotalMerc] [float] NULL,
	[TotalDesc] [float] NULL,
	[TotalIva] [float] NULL,
	[Diario] [nvarchar](5) NULL,
	[NumDiario] [int] NULL,
	[AnoCBL] [smallint] NULL,
	[MovContab] [smallint] NULL,
	[DocImp] [bit] NULL,
	[Estado] [nvarchar](1) NULL,
	[Anulado] [bit] NULL,
	[Fechado] [bit] NULL,
	[IdGDOC] [uniqueidentifier] NULL,
	[IdCabecEstorno] [uniqueidentifier] NULL,
	[ObraId] [uniqueidentifier] NULL,
	[ePriApprovalInstanceId] [uniqueidentifier] NULL,
	[Utilizador] [nvarchar](20) NULL,
	[Posto] [nvarchar](3) NULL,
	[DataUltimaActualizacao] [datetime] NULL,
	[VersaoUltAct] [timestamp] NULL,
	[IdCabecMovCbl] [uniqueidentifier] NULL,
	[Destinatario] [nvarchar](5) NULL,
	[TotalRecargo] [float] NULL,
	[Fluxo] [nvarchar](3) NULL,
	[LocalOperacao] [varchar](2) NULL,
	[ContaDomiciliacao] [varchar](5) NULL,
	[TotalEcotaxa] [float] NOT NULL,
	[Distrito] [varchar](2) NULL,
	[Morada2] [nvarchar](50) NULL,
	[TipoLancamento] [varchar](3) NULL,
	[RegimeIvaReembolsos] [smallint] NOT NULL,
	[EspacoFiscal] [smallint] NOT NULL,
	[Pais] [nvarchar](2) NULL,
	[WBSItem] [nvarchar](100) NULL,
	[TipoTerceiro] [nvarchar](3) NULL,
	[IdOrdemFabrico] [int] NOT NULL,
	[IDOperadorGPR] [int] NULL,
	[DataHoraCarga] [datetime] NULL,
	[DataHoraDescarga] [datetime] NULL,
	[Documento] [nvarchar](50) NULL,
	[DocEnviadoEmail] [bit] NOT NULL,
	[DataEnviadoEmail] [datetime] NULL,
 CONSTRAINT [CabecInternos01] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80)
)

GO
----- Vistas referentes  Tabela: CabecInternos------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'CabecInternos' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_CabecInternos AS SELECT TOP 10 * FROM CabecInternos ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_CabecInternos AS SELECT TOP 10 * FROM CabecInternos ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'CabecInternos' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_CabecInternos AS SELECT TOP 1 * FROM CabecInternos ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_CabecInternos AS SELECT TOP 1 * FROM CabecInternos ORDER BY VersaoUltAct') 
END
GO


----- TABELA: CabecTesouraria------------------

CREATE TABLE [dbo].[CabecTesouraria](
	[Id] [uniqueidentifier] NOT NULL,
	[Filial] [nvarchar](3) NOT NULL,
	[TipoDoc] [nvarchar](5) NOT NULL,
	[Serie] [nvarchar](5) NOT NULL,
	[NumDoc] [int] NOT NULL,
	[ContaOrigem] [nvarchar](5) NULL,
	[ContaDestino] [nvarchar](5) NULL,
	[ValorNumerario] [float] NULL,
	[Data] [datetime] NOT NULL,
	[Hora] [datetime] NULL,
	[Entidade] [nvarchar](12) NULL,
	[TipoEntidade] [nvarchar](1) NULL,
	[TotalDebito] [float] NOT NULL,
	[TotalCredito] [float] NOT NULL,
	[DocImp] [bit] NOT NULL,
	[MovContab] [smallint] NOT NULL,
	[AnoCBL] [smallint] NULL,
	[Diario] [nvarchar](5) NULL,
	[NumDiario] [int] NOT NULL,
	[CaixaPosto] [nvarchar](3) NULL,
	[Observacoes] [ntext] NULL,
	[Utilizador] [nvarchar](20) NULL,
	[DataUltimaActualizacao] [datetime] NOT NULL,
	[IdDocOriginal] [uniqueidentifier] NULL,
	[ModuloOriginal] [nvarchar](1) NULL,
	[AgrupaMovimentos] [bit] NULL,
	[Numero] [nvarchar](50) NULL,
	[Moeda] [nvarchar](3) NULL,
	[Cambio] [float] NULL,
	[MoedaDaUEM] [bit] NULL,
	[ValorMovimento] [float] NULL,
	[NDiasAPL] [int] NULL,
	[TaxaJuroAPL] [float] NULL,
	[JuroCalculadoAPL] [float] NULL,
	[RetencaoAPL] [float] NULL,
	[TaxaRetencaoAPL] [float] NULL,
	[IdGDOC] [uniqueidentifier] NULL,
	[MovBalancTrfCheques] [nvarchar](5) NULL,
	[IdDiarioFecho] [uniqueidentifier] NULL,
	[VersaoUltAct] [timestamp] NULL,
	[ObraID] [uniqueidentifier] NULL,
	[ClasseID] [int] NULL,
	[SubEmpID] [int] NULL,
	[CategoriaID] [int] NULL,
	[CambioMBase] [float] NOT NULL,
	[CambioMAlt] [float] NOT NULL,
	[IDDiarioCaixa] [uniqueidentifier] NULL,
	[IdCabecMovCbl] [uniqueidentifier] NULL,
	[IdTEServicosBancarios] [uniqueidentifier] NULL,
	[TipoLancamento] [varchar](3) NULL,
	[TotalIva] [float] NULL,
	[DataIntroducao] [datetime] NULL,
	[WBSItem] [nvarchar](100) NULL,
	[CDU_CabVar1] [nvarchar](7) NULL,
	[DocEnviadoEmail] [bit] NOT NULL,
	[DataEnviadoEmail] [datetime] NULL,
 CONSTRAINT [CabecTesouraria01] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80)
)

GO
----- Vistas referentes  Tabela: CabecTesouraria------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'CabecTesouraria' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_CabecTesouraria AS SELECT TOP 10 * FROM CabecTesouraria ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_CabecTesouraria AS SELECT TOP 10 * FROM CabecTesouraria ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'CabecTesouraria' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_CabecTesouraria AS SELECT TOP 1 * FROM CabecTesouraria ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_CabecTesouraria AS SELECT TOP 1 * FROM CabecTesouraria ORDER BY VersaoUltAct') 
END
GO


----- TABELA: CabLiq------------------

CREATE TABLE [dbo].[CabLiq](
	[TipoEntidade] [nvarchar](1) NULL,
	[Entidade] [nvarchar](12) NULL,
	[TipoDoc] [nvarchar](5) NOT NULL,
	[NumDoc] [int] NOT NULL,
	[DataDoc] [datetime] NULL,
	[ValorRec] [float] NULL,
	[ValorDesconto] [float] NULL,
	[Impresso] [bit] NULL,
	[TipoConta] [nvarchar](1) NOT NULL,
	[Moeda] [nvarchar](3) NULL,
	[DifCambio] [float] NULL,
	[MovContab] [smallint] NULL,
	[MovGesconta] [bit] NULL,
	[Cambio] [float] NULL,
	[Filial] [nvarchar](3) NOT NULL,
	[Serie] [nvarchar](5) NOT NULL,
	[MoedaDaUEM] [bit] NULL,
	[DifArredondamento] [float] NULL,
	[TaxaJuro] [float] NULL,
	[Comissao] [float] NULL,
	[Plafond] [float] NULL,
	[Percentagem] [bit] NULL,
	[ImpostoSelo] [float] NULL,
	[ImpostoSeloLivrancas] [float] NULL,
	[Portes] [float] NULL,
	[Postecipado] [bit] NULL,
	[Diario] [nvarchar](5) NULL,
	[NumDiario] [int] NULL,
	[DataUltimaActualizacao] [datetime] NULL,
	[ContaAmortizacao] [nvarchar](5) NULL,
	[ValorAmortizacao] [float] NULL,
	[EfectuaRegularizacoes] [bit] NULL,
	[ModoPag] [nvarchar](5) NULL,
	[DocLiq] [nvarchar](15) NULL,
	[Conta] [nvarchar](5) NULL,
	[Balcao] [nvarchar](35) NULL,
	[Utilizador] [nvarchar](20) NULL,
	[Posto] [nvarchar](3) NULL,
	[Observacoes] [ntext] NULL,
	[ValorRetencao] [float] NULL,
	[TipoContaDestino] [nvarchar](3) NULL,
	[TipoEntidadeDestino] [nvarchar](1) NULL,
	[EntidadeDestino] [nvarchar](12) NULL,
	[VersaoUltAct] [timestamp] NULL,
	[Id] [uniqueidentifier] NOT NULL,
	[EstadoDestino] [nvarchar](3) NULL,
	[TransferenciaEstado] [bit] NOT NULL,
	[AnoCBL] [smallint] NULL,
	[IdGDOC] [uniqueidentifier] NULL,
	[EstadoCBLEntidade] [smallint] NULL,
	[FolhaVenc] [int] NULL,
	[IdGuiaReceita] [uniqueidentifier] NULL,
	[CambioMBase] [float] NOT NULL,
	[CambioMAlt] [float] NOT NULL,
	[CorreccaoMonetaria] [float] NOT NULL,
	[ValorRetencaoGarantia] [float] NULL,
	[DifArredondamentoMAlt] [float] NULL,
	[IdCabecMovCbl] [uniqueidentifier] NULL,
	[ObraId] [uniqueidentifier] NULL,
	[NumRemessa] [int] NULL,
	[GeradoMagnetico] [bit] NULL,
	[DataMagnetico] [datetime] NULL,
	[FormatoMagnetico] [varchar](10) NULL,
	[MantemEntidadePendentes] [bit] NOT NULL,
	[TipoLancamento] [varchar](3) NULL,
	[DeduzLiquidaIVA] [bit] NOT NULL,
	[DataIntroducao] [datetime] NULL,
	[WBSItem] [nvarchar](100) NULL,
	[Estorno] [bit] NOT NULL,
	[DifCambioMAlt] [float] NOT NULL,
	[IdCessao] [uniqueidentifier] NULL,
	[SAFTTipoDocumento] [varchar](2) NULL,
	[MotivoEstorno] [nvarchar](3) NULL,
	[MoradaAlt] [nvarchar](5) NULL,
	[B2BTrataTrans] [bit] NULL,
	[IDDocB2B] [uniqueidentifier] NULL,
	[EntidadeFinanceira] [nvarchar](12) NULL,
	[B2BEnvioNaGravacao] [bit] NULL,
	[Financiada] [bit] NOT NULL,
	[CDU_CabVar1] [nvarchar](7) NULL,
	[Anulado] [bit] NULL,
	[DataAnulacao] [datetime] NULL,
	[UtilizadorAnulacao] [nvarchar](20) NULL,
	[TipoTerceiroDestino] [nvarchar](3) NULL,
	[ContratoFactoring] [nvarchar](15) NULL,
	[Assinatura] [nvarchar](255) NULL,
	[Documento] [nvarchar](50) NULL,
	[DocEnviadoEmail] [bit] NOT NULL,
	[DataEnviadoEmail] [datetime] NULL,
 CONSTRAINT [CabLiq01] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80)
)

GO
----- Vistas referentes  Tabela: CabLiq------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'CabLiq' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_CabLiq AS SELECT TOP 10 * FROM CabLiq ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_CabLiq AS SELECT TOP 10 * FROM CabLiq ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'CabLiq' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_CabLiq AS SELECT TOP 1 * FROM CabLiq ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_CabLiq AS SELECT TOP 1 * FROM CabLiq ORDER BY VersaoUltAct') 
END
GO


----- TABELA: CabLiqExtended------------------

CREATE TABLE [dbo].[CabLiqExtended](
	[IdCabLiq] [uniqueidentifier] NOT NULL,
	[ATCUD] [nvarchar](255) NULL,
	[VersaoUltAct] [timestamp] NOT NULL,
	[ATTrataTrans] [smallint] NOT NULL,
	[RefTipoDocOrig] [nvarchar](50) NULL,
	[RefSerieDocOrig] [nvarchar](50) NULL,
	[RefDocOrig] [nvarchar](50) NULL,
 CONSTRAINT [PK_CabLiqExtended] PRIMARY KEY CLUSTERED 
(
	[IdCabLiq] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80)
)

GO
----- Vistas referentes  Tabela: CabLiqExtended------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'CabLiqExtended' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_CabLiqExtended AS SELECT TOP 10 * FROM CabLiqExtended ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_CabLiqExtended AS SELECT TOP 10 * FROM CabLiqExtended ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'CabLiqExtended' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_CabLiqExtended AS SELECT TOP 1 * FROM CabLiqExtended ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_CabLiqExtended AS SELECT TOP 1 * FROM CabLiqExtended ORDER BY VersaoUltAct') 
END
GO


----- TABELA: CaixaPostos------------------

CREATE TABLE [dbo].[CaixaPostos](
	[CaixaPosto] [nvarchar](3) NOT NULL,
	[Descricao] [nvarchar](35) NULL,
	[ContaCaixaAssociada] [nvarchar](5) NULL,
	[ContaDestinoCaixa] [nvarchar](5) NULL,
	[ContaDestinoDO] [nvarchar](5) NULL,
	[DocumentoSugestao] [nvarchar](5) NULL,
	[ModoPagamentoSugestao] [nvarchar](5) NULL,
	[VendedorSugestao] [nvarchar](3) NULL,
	[PedirOperador] [bit] NULL,
	[ImpressoraActiva] [bit] NULL,
	[VisorActivo] [bit] NULL,
	[GavetaActiva] [bit] NULL,
	[Impressora] [nvarchar](15) NULL,
	[ImpressoraPortaSerie] [bit] NULL,
	[NumDaPortaImpressora] [nvarchar](1) NULL,
	[VelocidadeImpressora] [nvarchar](5) NULL,
	[ParidadeImpressora] [nvarchar](1) NULL,
	[DataBitsImpressora] [nvarchar](3) NULL,
	[StopBitsImpressora] [nvarchar](3) NULL,
	[ImpressoraPortaParalela] [bit] NULL,
	[GavetaLigaImpressora] [bit] NULL,
	[GavetaLigaComputador] [bit] NULL,
	[SeqAberturaGaveta] [nvarchar](20) NULL,
	[GavetaPortaSerie] [bit] NULL,
	[NumDaPortaGaveta] [nvarchar](1) NULL,
	[VelocidadeGaveta] [nvarchar](5) NULL,
	[ParidadeGaveta] [nvarchar](1) NULL,
	[DataBitsGaveta] [nvarchar](3) NULL,
	[StopBitsGaveta] [nvarchar](3) NULL,
	[GavetaPortaParalela] [bit] NULL,
	[Visor] [nvarchar](10) NULL,
	[VisorPortaSerie] [bit] NULL,
	[NumDaPortaVisor] [nvarchar](1) NULL,
	[VelocidadeVisor] [nvarchar](5) NULL,
	[ParidadeVisor] [nvarchar](1) NULL,
	[DataBitsVisor] [nvarchar](3) NULL,
	[StopBitsVisor] [nvarchar](3) NULL,
	[VisorPortaParalela] [bit] NULL,
	[OperadorEmUso] [nvarchar](20) NULL,
	[Data] [datetime] NULL,
	[Hora] [datetime] NULL,
	[CaixaPostoAberta] [bit] NULL,
	[DataUltimaActualizacao] [datetime] NULL,
	[IdPosto] [nvarchar](35) NULL,
	[TipoDocumento] [nvarchar](5) NULL,
	[NumDocumento] [int] NULL,
	[ArmazemSugestao] [nvarchar](5) NULL,
	[VersaoUltAct] [timestamp] NULL,
	[ClienteOmissao] [nvarchar](20) NULL,
	[Balanca] [nvarchar](3) NULL,
	[SerieAberturaCaixa] [nvarchar](5) NULL,
	[SerieEntradaCaixa] [nvarchar](5) NULL,
	[SerieSaidaCaixa] [nvarchar](5) NULL,
	[SerieFechoCaixa] [nvarchar](5) NULL,
	[MovNumFechoCaixa] [nvarchar](5) NULL,
	[MovPagAutFechoCaixa] [nvarchar](5) NULL,
	[RubricaFechoCaixa] [nvarchar](35) NULL,
	[BalancaActiva] [bit] NULL,
	[RubricaFechoCaixaDebito] [nvarchar](35) NULL,
	[IDDiarioCaixa] [uniqueidentifier] NULL,
	[DocDevCC] [nvarchar](5) NULL,
	[SerieDocDevCC] [nvarchar](5) NULL,
	[DocDevPagar] [nvarchar](5) NULL,
	[SerieDocDevPagar] [nvarchar](5) NULL,
	[MostraBarraOperacoes] [bit] NOT NULL,
	[BloqueiaTerminal] [bit] NOT NULL,
	[TempoBloqueio] [smallint] NOT NULL,
	[SerieDocVenda] [nvarchar](5) NOT NULL,
	[MostraTotalAlternativo] [bit] NOT NULL,
	[MostraFotoVendedor] [bit] NOT NULL,
	[ContaComissaoMB] [nvarchar](5) NULL,
	[RubricaComissaoMB] [nvarchar](35) NULL,
	[ValoresCCEntidadesAssociadas] [bit] NULL,
	[IsTouch] [bit] NOT NULL,
	[PermitirMultiplosMP] [bit] NOT NULL,
	[IgnorarControloValorAdicional] [bit] NOT NULL,
	[ModoDevSugestao] [int] NOT NULL,
 CONSTRAINT [CaixaPostos01] PRIMARY KEY CLUSTERED 
(
	[CaixaPosto] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90)
)

GO
----- Vistas referentes  Tabela: CaixaPostos------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'CaixaPostos' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_CaixaPostos AS SELECT TOP 10 * FROM CaixaPostos ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_CaixaPostos AS SELECT TOP 10 * FROM CaixaPostos ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'CaixaPostos' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_CaixaPostos AS SELECT TOP 1 * FROM CaixaPostos ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_CaixaPostos AS SELECT TOP 1 * FROM CaixaPostos ORDER BY VersaoUltAct') 
END
GO


----- TABELA: ContasBancarias------------------

CREATE TABLE [dbo].[ContasBancarias](
	[ExcluirTipoMovEuro] [bit] NULL,
	[LocalEmissaoEuro] [nvarchar](15) NULL,
	[MoedaSerie2] [nvarchar](3) NULL,
	[NumeroActualEuro] [nvarchar](10) NULL,
	[NumeroInicialEuro] [nvarchar](10) NULL,
	[QuantidadeEuro] [smallint] NULL,
	[SerieLivroEuro] [nvarchar](2) NULL,
	[Conta] [nvarchar](5) NOT NULL,
	[NumConta] [nvarchar](24) NULL,
	[Banco] [nvarchar](3) NULL,
	[DescBanco] [nvarchar](35) NULL,
	[Agencia] [nvarchar](4) NULL,
	[DescAgen] [nvarchar](35) NULL,
	[Gestor] [nvarchar](35) NULL,
	[TefGestor] [nvarchar](20) NULL,
	[FaxGestor] [nvarchar](20) NULL,
	[TitNome] [nvarchar](35) NULL,
	[TitMora] [nvarchar](35) NULL,
	[TitLocal] [nvarchar](35) NULL,
	[TitCodPost] [nvarchar](30) NULL,
	[Moeda] [nvarchar](3) NULL,
	[NumActualTalao] [int] NULL,
	[SerieLivro] [nvarchar](2) NULL,
	[NumeroInicial] [nvarchar](10) NULL,
	[Quantidade] [smallint] NULL,
	[NumeroActual] [nvarchar](10) NULL,
	[LocalEmissao] [nvarchar](15) NULL,
	[Limite] [money] NULL,
	[Taxa1] [money] NULL,
	[Taxa2] [money] NULL,
	[TipoConta] [smallint] NULL,
	[NivelAlerta] [smallint] NULL,
	[NIB] [nvarchar](24) NULL,
	[Comissao] [money] NULL,
	[DiaPagamento] [smallint] NULL,
	[ContaAssociada] [nvarchar](5) NULL,
	[Taxa3] [real] NULL,
	[Taxa4] [real] NULL,
	[Taxa5] [real] NULL,
	[Taxa6] [real] NULL,
	[Escalao1] [money] NULL,
	[Escalao2] [money] NULL,
	[Escalao3] [money] NULL,
	[Escalao4] [money] NULL,
	[Escalao5] [money] NULL,
	[Escalao6] [money] NULL,
	[Minimo] [money] NULL,
	[Maximo] [money] NULL,
	[DiaContagem] [smallint] NULL,
	[LancaTalaoDividido] [bit] NULL,
	[DataUltimaActualizacao] [datetime] NULL,
	[Notas] [ntext] NULL,
	[VersaoUltAct] [timestamp] NULL,
	[SerieTalaoDeposito] [nvarchar](5) NULL,
	[NumeroFolhaCofre] [int] NULL,
	[DiarioCaixa] [int] NULL,
	[DataDiarioCaixa] [datetime] NULL,
	[TipoDocAut] [nvarchar](5) NULL,
	[SerieAut] [nvarchar](5) NULL,
	[MovimentoAut] [nvarchar](5) NULL,
	[MovimentoTaxa] [nvarchar](5) NULL,
	[PermiteSaldoZero] [bit] NULL,
	[MostraTDep] [bit] NULL,
	[MostraTransCHQ] [bit] NULL,
	[MostraTransVal] [bit] NULL,
	[Estado] [bit] NULL,
	[MovComissaoAut] [nvarchar](5) NULL,
	[FundoManeio] [bit] NULL,
	[RespFundoManeio] [nvarchar](35) NULL,
	[ValorFundoManeio] [float] NULL,
	[IDDiarioCaixa] [uniqueidentifier] NULL,
	[PlafondRemessas] [float] NULL,
	[ValorRemessas] [float] NULL,
	[NumeradorRemessas] [int] NULL,
	[NumeroCedenteRem] [varchar](15) NULL,
	[SufixoRem] [varchar](3) NULL,
	[NumDiasMargem] [smallint] NULL,
	[IBAN] [nvarchar](34) NULL,
	[EncargosBanco] [bit] NULL,
	[SWIFT] [nvarchar](11) NULL,
	[Pais] [nvarchar](2) NULL,
	[NIF] [nvarchar](20) NULL,
	[CodigoEntidade] [varchar](10) NULL,
	[IdSepa] [nvarchar](35) NULL,
	[ContaTerceiros] [bit] NOT NULL,
	[TipoEntidade] [nvarchar](1) NULL,
	[Entidade] [nvarchar](12) NULL,
	[ContaCartaoEmpresa] [nvarchar](20) NULL,
	[IdSepaRecebimento] [varchar](35) NULL,
	[ValorLimiteDocumento] [float] NULL,
	[LimitePorDatas] [bit] NULL,
	[DataInicial] [datetime] NULL,
	[DataFinal] [datetime] NULL,
	[ReposicaoAuto] [bit] NULL,
	[ValorLimite] [float] NULL,
	[TerceiroFundoManeio] [nvarchar](12) NULL,
	[Tratamento] [smallint] NULL,
	[ContaCBL] [nvarchar](20) NULL,
	[ValidaSaldoMinimo] [smallint] NOT NULL,
	[ContaInativa] [bit] NOT NULL,
	[DataInativacao] [datetime] NULL,
 CONSTRAINT [ContasBancarias01] PRIMARY KEY CLUSTERED 
(
	[Conta] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90)
)

GO
----- Vistas referentes  Tabela: ContasBancarias------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'ContasBancarias' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_ContasBancarias AS SELECT TOP 10 * FROM ContasBancarias ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_ContasBancarias AS SELECT TOP 10 * FROM ContasBancarias ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'ContasBancarias' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_ContasBancarias AS SELECT TOP 1 * FROM ContasBancarias ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_ContasBancarias AS SELECT TOP 1 * FROM ContasBancarias ORDER BY VersaoUltAct') 
END
GO


----- TABELA: DiarioCaixa------------------

CREATE TABLE [dbo].[DiarioCaixa](
	[Id] [uniqueidentifier] NOT NULL,
	[Conta] [nvarchar](5) NULL,
	[Diario] [int] NULL,
	[DataAbertura] [datetime] NULL,
	[SaldoAbertura] [float] NULL,
	[UtilizadorAbertura] [nvarchar](20) NULL,
	[DataFecho] [datetime] NULL,
	[SaldoFecho] [float] NULL,
	[UtilizadorFecho] [nvarchar](20) NULL,
	[Estado] [bit] NULL,
	[VersaoUltAct] [timestamp] NULL,
	[Reaberto] [int] NOT NULL,
 CONSTRAINT [DiarioCaixa01] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90)
)

GO
----- Vistas referentes  Tabela: DiarioCaixa------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'DiarioCaixa' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_DiarioCaixa AS SELECT TOP 10 * FROM DiarioCaixa ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_DiarioCaixa AS SELECT TOP 10 * FROM DiarioCaixa ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'DiarioCaixa' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_DiarioCaixa AS SELECT TOP 1 * FROM DiarioCaixa ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_DiarioCaixa AS SELECT TOP 1 * FROM DiarioCaixa ORDER BY VersaoUltAct') 
END
GO


----- TABELA: ExerciciosERP------------------

CREATE TABLE [dbo].[ExerciciosERP](
	[Ano] [smallint] NOT NULL,
	[AnoOrigem] [smallint] NULL,
 CONSTRAINT [ExerciciosERP01] PRIMARY KEY CLUSTERED 
(
	[Ano] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90)
)

GO
----- Vistas referentes  Tabela: ExerciciosERP------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'ExerciciosERP' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_ExerciciosERP AS SELECT TOP 10 * FROM ExerciciosERP ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_ExerciciosERP AS SELECT TOP 10 * FROM ExerciciosERP ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'ExerciciosERP' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_ExerciciosERP AS SELECT TOP 1 * FROM ExerciciosERP ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_ExerciciosERP AS SELECT TOP 1 * FROM ExerciciosERP ORDER BY VersaoUltAct') 
END
GO


----- TABELA: ExtractoRubricas------------------

CREATE TABLE [dbo].[ExtractoRubricas](
	[Id] [uniqueidentifier] NOT NULL,
	[IdMovimentosBancos] [uniqueidentifier] NOT NULL,
	[Rubrica] [nvarchar](35) NULL,
	[Valor] [float] NOT NULL,
	[VersaoUltAct] [timestamp] NOT NULL,
 CONSTRAINT [ExtractoRubricas01] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90)
)

GO
----- Vistas referentes  Tabela: ExtractoRubricas------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'ExtractoRubricas' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_ExtractoRubricas AS SELECT TOP 10 * FROM ExtractoRubricas ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_ExtractoRubricas AS SELECT TOP 10 * FROM ExtractoRubricas ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'ExtractoRubricas' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_ExtractoRubricas AS SELECT TOP 1 * FROM ExtractoRubricas ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_ExtractoRubricas AS SELECT TOP 1 * FROM ExtractoRubricas ORDER BY VersaoUltAct') 
END
GO


----- TABELA: FIL_Remocoes------------------

CREATE TABLE [dbo].[FIL_Remocoes](
	[Tabela] [varchar](50) NOT NULL,
	[ValorChave1] [varchar](50) NOT NULL,
	[ValorChave2] [varchar](50) NULL,
	[ValorChave3] [varchar](50) NULL,
	[ValorChave4] [varchar](50) NULL,
	[ValorChave5] [varchar](50) NULL,
	[Utilizador] [varchar](20) NULL,
	[DataRemocao] [datetime] NOT NULL,
	[VersaoUltAct] [timestamp] NULL
)

GO
----- Vistas referentes  Tabela: FIL_Remocoes------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'FIL_Remocoes' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_FIL_Remocoes AS SELECT TOP 10 * FROM FIL_Remocoes ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_FIL_Remocoes AS SELECT TOP 10 * FROM FIL_Remocoes ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'FIL_Remocoes' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_FIL_Remocoes AS SELECT TOP 1 * FROM FIL_Remocoes ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_FIL_Remocoes AS SELECT TOP 1 * FROM FIL_Remocoes ORDER BY VersaoUltAct') 
END
GO


----- TABELA: Historico------------------

CREATE TABLE [dbo].[Historico](
	[Modulo] [nvarchar](1) NOT NULL,
	[TipoEntidade] [nvarchar](1) NOT NULL,
	[Entidade] [nvarchar](12) NOT NULL,
	[TipoDoc] [nvarchar](5) NOT NULL,
	[NumDoc] [nvarchar](60) NULL,
	[NumDocint] [int] NOT NULL,
	[DataDoc] [datetime] NULL,
	[DataVenc] [datetime] NULL,
	[DataLiq] [datetime] NULL,
	[ValorTotal] [float] NULL,
	[ValorDesconto] [float] NULL,
	[ModoPag] [nvarchar](5) NULL,
	[CondPag] [nvarchar](2) NULL,
	[Vendedor] [nvarchar](3) NULL,
	[Moeda] [nvarchar](3) NULL,
	[Cambio] [float] NULL,
	[NumAvisos] [smallint] NULL,
	[TipoConta] [nvarchar](3) NULL,
	[Impresso] [bit] NULL,
	[NumPrestacao] [smallint] NOT NULL,
	[DifCambio] [float] NULL,
	[Filial] [nvarchar](3) NOT NULL,
	[Serie] [nvarchar](5) NOT NULL,
	[MoedaDaUEM] [bit] NULL,
	[DifArredondamento] [float] NULL,
	[NumAceite] [nvarchar](15) NULL,
	[Conta] [nvarchar](5) NULL,
	[TotalIva] [float] NULL,
	[CodIva] [nvarchar](2) NULL,
	[Diario] [nvarchar](5) NULL,
	[NumDiario] [int] NULL,
	[ContraValor] [float] NULL,
	[EntidadeRemessa] [nvarchar](15) NULL,
	[MoedaConta] [nvarchar](3) NULL,
	[CambioMoedaConta] [float] NULL,
	[TaxaJuro] [float] NULL,
	[Comissao] [float] NULL,
	[Plafond] [float] NULL,
	[Percentagem] [bit] NULL,
	[ImpostoSelo] [float] NULL,
	[ImpostoSeloLivrancas] [float] NULL,
	[Portes] [float] NULL,
	[Postecipado] [bit] NULL,
	[MovContab] [smallint] NULL,
	[EstadoActual] [nvarchar](3) NULL,
	[DataUltimaActualizacao] [datetime] NULL,
	[Avalista] [nvarchar](50) NULL,
	[NumContribAvalista] [nvarchar](20) NULL,
	[NIB] [nvarchar](25) NULL,
	[ContaAmortizacao] [nvarchar](5) NULL,
	[ValorAmortizacao] [float] NULL,
	[EfectuaRegularizacoes] [bit] NULL,
	[RespCobranca] [nvarchar](3) NULL,
	[Utilizador] [nvarchar](20) NULL,
	[Posto] [nvarchar](3) NULL,
	[TotalAdiantamentosCC] [float] NULL,
	[Texto] [ntext] NULL,
	[NumTransferencia] [int] NOT NULL,
	[PercentagemRetencao] [float] NULL,
	[ValorRetencao] [float] NULL,
	[TipoContaDestino] [nvarchar](3) NULL,
	[TransferenciaEstado] [bit] NULL,
	[TipoEntidadeDestino] [nvarchar](1) NULL,
	[EntidadeDestino] [nvarchar](12) NULL,
	[VersaoUltAct] [timestamp] NULL,
	[Id] [uniqueidentifier] NOT NULL,
	[IdDoc] [uniqueidentifier] NULL,
	[DataExtracto] [datetime] NULL,
	[ContaCBL] [nvarchar](20) NULL,
	[DataIntroducao] [datetime] NULL,
	[Origem] [smallint] NOT NULL,
	[AnoCBL] [smallint] NULL,
	[IdGDOC] [uniqueidentifier] NULL,
	[ValorOrig] [float] NULL,
	[IdHistOrig] [uniqueidentifier] NULL,
	[TipoEncargo] [smallint] NULL,
	[EstadoCBLEntidade] [smallint] NULL,
	[ObraID] [uniqueidentifier] NULL,
	[RegimeIva] [nvarchar](1) NULL,
	[LocalOperacao] [varchar](2) NULL,
	[DE_IL] [nvarchar](20) NULL,
	[CambioMBase] [float] NOT NULL,
	[CambioMAlt] [float] NOT NULL,
	[CorreccaoMonetaria] [float] NOT NULL,
	[ValorRetencaoGarantia] [float] NULL,
	[DifArredondamentoMAlt] [float] NULL,
	[IdCabecMovCbl] [uniqueidentifier] NULL,
	[TotalRecargo] [float] NULL,
	[ContaDomiciliacao] [varchar](5) NULL,
	[NumRemessa] [int] NULL,
	[TipoMov] [nvarchar](1) NULL,
	[TipoLancamento] [varchar](3) NULL,
	[EntidadeComercial] [nvarchar](12) NULL,
	[TipoEntidadeComercial] [nvarchar](1) NULL,
	[IdLinhaDoc] [uniqueidentifier] NULL,
	[Descricao] [nvarchar](512) NULL,
	[IdMovCBL] [uniqueidentifier] NULL,
	[ItemId] [int] NULL,
	[RegimeIvaReembolsos] [smallint] NULL,
	[EspacoFiscal] [smallint] NULL,
	[TipoOperacao] [nvarchar](2) NULL,
	[WBSItem] [nvarchar](100) NULL,
	[Estorno] [bit] NOT NULL,
	[CambioADataDoc] [bit] NOT NULL,
	[DifCambioMAlt] [float] NOT NULL,
	[IdCessao] [uniqueidentifier] NULL,
	[IdPlano] [uniqueidentifier] NULL,
	[NumPagamento] [smallint] NULL,
	[TrataIvaCaixa] [bit] NOT NULL,
	[IvaIndiferido] [bit] NOT NULL,
	[IdDocB2B] [uniqueidentifier] NULL,
	[B2BTrataTrans] [bit] NULL,
	[B2BEnvioNaGravacao] [bit] NULL,
	[ATDocCodeID] [nvarchar](200) NULL,
	[PercentagemCativacao] [float] NULL,
	[TipoTerceiro] [nvarchar](3) NULL,
	[Anulado] [bit] NULL,
	[ContratoFactoring] [nvarchar](15) NULL,
	[NumContribuinte] [nvarchar](20) NULL,
	[DocEnviadoEmail] [bit] NOT NULL,
	[DataEnviadoEmail] [datetime] NULL,
 CONSTRAINT [Historico01] PRIMARY KEY NONCLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90)
)

GO
----- Vistas referentes  Tabela: Historico------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'Historico' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_Historico AS SELECT TOP 10 * FROM Historico ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_Historico AS SELECT TOP 10 * FROM Historico ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'Historico' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_Historico AS SELECT TOP 1 * FROM Historico ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_Historico AS SELECT TOP 1 * FROM Historico ORDER BY VersaoUltAct') 
END
GO


----- TABELA: INV_CabecComposicoes------------------

CREATE TABLE [dbo].[INV_CabecComposicoes](
	[Id] [uniqueidentifier] NOT NULL,
	[TipoDoc] [nvarchar](5) NOT NULL,
	[NumDoc] [int] NOT NULL,
	[Filial] [nvarchar](3) NOT NULL,
	[Serie] [nvarchar](5) NOT NULL,
	[Moeda] [nvarchar](3) NULL,
	[Cambio] [float] NULL,
	[CambioMAlt] [float] NULL,
	[CambioMBase] [float] NULL,
	[Data] [datetime] NULL,
	[Observacoes] [ntext] NULL,
	[Diario] [nvarchar](5) NULL,
	[NumDiario] [int] NULL,
	[AnoCBL] [smallint] NULL,
	[MovContab] [smallint] NULL,
	[DocImp] [bit] NULL,
	[IdGDOC] [uniqueidentifier] NULL,
	[ObraId] [uniqueidentifier] NULL,
	[Utilizador] [nvarchar](20) NULL,
	[DataUltimaActualizacao] [datetime] NULL,
	[IdCabecMovCbl] [uniqueidentifier] NULL,
	[TipoLancamento] [varchar](3) NULL,
	[WBSItem] [nvarchar](100) NULL,
	[TipoMov] [nvarchar](1) NULL,
	[TipoQtdComposicao] [bit] NULL,
	[VersaoUltAct] [timestamp] NOT NULL,
	[DocEnviadoEmail] [bit] NOT NULL,
	[DataEnviadoEmail] [datetime] NULL,
 CONSTRAINT [INV_CabecComposicoes01] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80)
)

GO
----- Vistas referentes  Tabela: INV_CabecComposicoes------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'INV_CabecComposicoes' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_INV_CabecComposicoes AS SELECT TOP 10 * FROM INV_CabecComposicoes ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_INV_CabecComposicoes AS SELECT TOP 10 * FROM INV_CabecComposicoes ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'INV_CabecComposicoes' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_INV_CabecComposicoes AS SELECT TOP 1 * FROM INV_CabecComposicoes ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_INV_CabecComposicoes AS SELECT TOP 1 * FROM INV_CabecComposicoes ORDER BY VersaoUltAct') 
END
GO


----- TABELA: INV_CabecTransferencias------------------

CREATE TABLE [dbo].[INV_CabecTransferencias](
	[Id] [uniqueidentifier] NOT NULL,
	[TipoDoc] [nvarchar](5) NOT NULL,
	[NumDoc] [int] NOT NULL,
	[Filial] [nvarchar](3) NOT NULL,
	[Serie] [nvarchar](5) NOT NULL,
	[TipoEntidade] [nvarchar](1) NULL,
	[Entidade] [nvarchar](12) NULL,
	[Moeda] [nvarchar](3) NULL,
	[Cambio] [float] NULL,
	[CambioMAlt] [float] NULL,
	[CambioMBase] [float] NULL,
	[Arredondamento] [smallint] NULL,
	[Data] [datetime] NULL,
	[Observacoes] [ntext] NULL,
	[Diario] [nvarchar](5) NULL,
	[NumDiario] [int] NULL,
	[AnoCBL] [smallint] NULL,
	[MovContab] [smallint] NULL,
	[DocImp] [bit] NULL,
	[IdGDOC] [uniqueidentifier] NULL,
	[ObraId] [uniqueidentifier] NULL,
	[Utilizador] [nvarchar](20) NULL,
	[DataUltimaActualizacao] [datetime] NULL,
	[IdCabecMovCbl] [uniqueidentifier] NULL,
	[TipoLancamento] [varchar](3) NULL,
	[WBSItem] [nvarchar](100) NULL,
	[VersaoUltAct] [timestamp] NOT NULL,
	[DocEnviadoEmail] [bit] NOT NULL,
	[DataEnviadoEmail] [datetime] NULL,
 CONSTRAINT [INV_CabecTransferencias01] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80)
)

GO
----- Vistas referentes  Tabela: INV_CabecTransferencias------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'INV_CabecTransferencias' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_INV_CabecTransferencias AS SELECT TOP 10 * FROM INV_CabecTransferencias ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_INV_CabecTransferencias AS SELECT TOP 10 * FROM INV_CabecTransferencias ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'INV_CabecTransferencias' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_INV_CabecTransferencias AS SELECT TOP 1 * FROM INV_CabecTransferencias ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_INV_CabecTransferencias AS SELECT TOP 1 * FROM INV_CabecTransferencias ORDER BY VersaoUltAct') 
END
GO


----- TABELA: INV_Custeio------------------

CREATE TABLE [dbo].[INV_Custeio](
	[Id] [uniqueidentifier] NOT NULL,
	[IdOrigem] [uniqueidentifier] NOT NULL,
	[TipoLancamentoCusteio] [tinyint] NOT NULL,
	[IdMovimentoStock] [uniqueidentifier] NULL,
	[Data] [datetime] NOT NULL,
	[DataIntegracao] [datetime] NOT NULL,
	[NumRegisto] [bigint] IDENTITY(1,1) NOT NULL,
	[Artigo] [nvarchar](48) NOT NULL,
	[GrupoCustos] [nvarchar](10) NOT NULL,
	[Lote] [nvarchar](20) NULL,
	[TipoMovimento] [varchar](1) NOT NULL,
	[Quantidade] [decimal](28, 10) NOT NULL,
	[CustoGrpCstMBase_Anterior] [decimal](28, 10) NOT NULL,
	[CustoGrpCstMBase_Actual] [decimal](28, 10) NOT NULL,
	[CustoGrpCstLotMBase_Anterior] [decimal](28, 10) NOT NULL,
	[CustoGrpCstLotMBase_Actual] [decimal](28, 10) NOT NULL,
	[CustoGrpCstMAlt_Anterior] [decimal](28, 10) NOT NULL,
	[CustoGrpCstMAlt_Actual] [decimal](28, 10) NOT NULL,
	[CustoGrpCstLotMAlt_Anterior] [decimal](28, 10) NOT NULL,
	[CustoGrpCstLotMAlt_Actual] [decimal](28, 10) NOT NULL,
	[VersaoUltAct] [timestamp] NOT NULL,
	[Calculado] [tinyint] NOT NULL,
	[DataRef] [datetime] NULL,
	[QuantFormula] [decimal](28, 10) NOT NULL,
	[TotalSaidasPeriodoDoc] [decimal](28, 10) NOT NULL,
	[VariacaoCusteio] [bit] NOT NULL,
	[ValorMBase] [decimal](28, 10) NOT NULL,
	[ValorMAlt] [decimal](28, 10) NOT NULL,
	[ValorOrigMBase] [decimal](28, 10) NOT NULL,
	[ValorOrigMAlt] [decimal](28, 10) NOT NULL,
	[ValorInvNegativoMBase] [decimal](28, 10) NOT NULL,
	[ValorInvNegativoMAlt] [decimal](28, 10) NOT NULL,
	[ValorInvNegativoLotMBase] [decimal](28, 10) NOT NULL,
	[ValorInvNegativoLotMAlt] [decimal](28, 10) NOT NULL,
	[ValorVariacoesMBase] [decimal](28, 10) NOT NULL,
	[ValorVariacoesMAlt] [decimal](28, 10) NOT NULL,
 CONSTRAINT [INV_Custeio_PK] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80)
)

GO
----- Vistas referentes  Tabela: INV_Custeio------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'INV_Custeio' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_INV_Custeio AS SELECT TOP 10 * FROM INV_Custeio ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_INV_Custeio AS SELECT TOP 10 * FROM INV_Custeio ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'INV_Custeio' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_INV_Custeio AS SELECT TOP 1 * FROM INV_Custeio ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_INV_Custeio AS SELECT TOP 1 * FROM INV_Custeio ORDER BY VersaoUltAct') 
END
GO


----- TABELA: INV_LinhasComposicoes------------------

CREATE TABLE [dbo].[INV_LinhasComposicoes](
	[Id] [uniqueidentifier] NOT NULL,
	[IdCabecComposicoes] [uniqueidentifier] NOT NULL,
	[NumLinha] [int] NOT NULL,
	[TipoLinha] [varchar](2) NULL,
	[TipoComposto] [int] NULL,
	[Artigo] [nvarchar](48) NULL,
	[Armazem] [nvarchar](5) NULL,
	[Localizacao] [varchar](30) NULL,
	[Lote] [varchar](20) NULL,
	[Descricao] [varchar](512) NULL,
	[Quantidade] [float] NULL,
	[Unidade] [nvarchar](5) NULL,
	[PrecUnit] [float] NULL,
	[PrecoLiquido] [float] NULL,
	[EstadoOrigem] [nvarchar](10) NULL,
	[EstadoDestino] [nvarchar](10) NULL,
	[EntradaSaida] [nvarchar](1) NULL,
	[Data] [datetime] NULL,
	[FactorConv] [float] NULL,
	[ArredFConv] [int] NULL,
	[ObraId] [uniqueidentifier] NULL,
	[ClasseId] [int] NULL,
	[SubEmpId] [int] NULL,
	[CategoriaId] [int] NULL,
	[MovStk] [bit] NULL,
	[IdLinhaComposto] [uniqueidentifier] NULL,
	[TotalIliquido] [float] NULL,
	[PCPadrao] [float] NULL,
	[PrecoCusto] [float] NULL,
	[ItemId] [int] NULL,
	[ItemCod] [nvarchar](20) NULL,
	[ItemDesc] [varchar](4000) NULL,
	[WBSItem] [nvarchar](100) NULL,
	[AlternativaGPR] [nvarchar](2) NULL,
	[ProcessoID] [uniqueidentifier] NULL,
	[CCustoCBL] [nvarchar](20) NULL,
	[ContaCBL] [nvarchar](20) NULL,
	[AnaliticaCBL] [nvarchar](20) NULL,
	[FuncionalCBL] [nvarchar](20) NULL,
	[IdLinhaPai] [uniqueidentifier] NULL,
	[VersaoUltAct] [timestamp] NOT NULL,
	[TipoCusto] [int] NOT NULL,
	[EstadoLinha] [nvarchar](1) NULL,
 CONSTRAINT [INV_LinhasComposicoes01] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80)
)

GO
----- Vistas referentes  Tabela: INV_LinhasComposicoes------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'INV_LinhasComposicoes' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_INV_LinhasComposicoes AS SELECT TOP 10 * FROM INV_LinhasComposicoes ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_INV_LinhasComposicoes AS SELECT TOP 10 * FROM INV_LinhasComposicoes ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'INV_LinhasComposicoes' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_INV_LinhasComposicoes AS SELECT TOP 1 * FROM INV_LinhasComposicoes ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_INV_LinhasComposicoes AS SELECT TOP 1 * FROM INV_LinhasComposicoes ORDER BY VersaoUltAct') 
END
GO


----- TABELA: INV_LinhasTransferencias------------------

CREATE TABLE [dbo].[INV_LinhasTransferencias](
	[Id] [uniqueidentifier] NOT NULL,
	[IdCabecTransferencias] [uniqueidentifier] NOT NULL,
	[NumLinha] [int] NOT NULL,
	[TipoLinha] [varchar](2) NULL,
	[Artigo] [nvarchar](48) NULL,
	[Armazem] [nvarchar](5) NULL,
	[Localizacao] [varchar](30) NULL,
	[Lote] [varchar](20) NULL,
	[Descricao] [varchar](512) NULL,
	[Quantidade] [float] NULL,
	[Unidade] [nvarchar](5) NULL,
	[PrecUnit] [float] NULL,
	[PrecoTotal] [float] NULL,
	[PrecoCusto] [float] NULL,
	[CustoTotal] [float] NULL,
	[Data] [datetime] NULL,
	[FactorConv] [float] NULL,
	[ArredFConv] [int] NULL,
	[ObraId] [uniqueidentifier] NULL,
	[ClasseId] [int] NULL,
	[SubEmpId] [int] NULL,
	[CategoriaId] [int] NULL,
	[IdLinhaOrigem] [uniqueidentifier] NULL,
	[IdLinhaPai] [uniqueidentifier] NULL,
	[ItemId] [int] NULL,
	[ItemCod] [nvarchar](20) NULL,
	[ItemDesc] [varchar](4000) NULL,
	[WBSItem] [nvarchar](100) NULL,
	[ProcessoID] [uniqueidentifier] NULL,
	[CCustoCBL] [nvarchar](20) NULL,
	[ContaCBL] [nvarchar](20) NULL,
	[AnaliticaCBL] [nvarchar](20) NULL,
	[FuncionalCBL] [nvarchar](20) NULL,
	[VersaoUltAct] [timestamp] NOT NULL,
	[EstadoOrigem] [nvarchar](10) NULL,
	[EstadoDestino] [nvarchar](10) NULL,
	[TipoLinhaTransf] [int] NULL,
	[IdLinhaOrdemFabrico] [int] NOT NULL,
	[IDReserva] [uniqueidentifier] NULL,
	[IdLinhaOrigemFTR] [uniqueidentifier] NULL,
	[IdLinhaReqInterna] [uniqueidentifier] NULL,
	[ModuloOrigemCopia] [varchar](1) NULL,
	[IdLinhaOrigemCopia] [uniqueidentifier] NULL,
	[QuantCopiada] [float] NOT NULL,
	[CustosAdicionais] [float] NOT NULL,
	[EstadoLinha] [nvarchar](1) NULL,
	[Formula] [nvarchar](5) NULL,
	[VariavelA] [float] NOT NULL,
	[VariavelB] [float] NOT NULL,
	[VariavelC] [float] NOT NULL,
	[QuantFormula] [float] NOT NULL,
 CONSTRAINT [INV_LinhasTransferencias01] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90)
)

GO
----- Vistas referentes  Tabela: INV_LinhasTransferencias------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'INV_LinhasTransferencias' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_INV_LinhasTransferencias AS SELECT TOP 10 * FROM INV_LinhasTransferencias ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_INV_LinhasTransferencias AS SELECT TOP 10 * FROM INV_LinhasTransferencias ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'INV_LinhasTransferencias' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_INV_LinhasTransferencias AS SELECT TOP 1 * FROM INV_LinhasTransferencias ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_INV_LinhasTransferencias AS SELECT TOP 1 * FROM INV_LinhasTransferencias ORDER BY VersaoUltAct') 
END
GO


----- TABELA: INV_Movimentos------------------

CREATE TABLE [dbo].[INV_Movimentos](
	[Id] [uniqueidentifier] NOT NULL,
	[IdOrigem] [uniqueidentifier] NOT NULL,
	[Data] [datetime] NOT NULL,
	[DataIntegracao] [datetime] NOT NULL,
	[NumRegisto] [bigint] IDENTITY(1,1) NOT NULL,
	[PeriodoFechado] [bit] NOT NULL,
	[Artigo] [nvarchar](48) NOT NULL,
	[Armazem] [nvarchar](5) NULL,
	[Localizacao] [varchar](30) NULL,
	[Lote] [nvarchar](20) NULL,
	[EstadoStock] [nvarchar](10) NOT NULL,
	[TipoMovimento] [varchar](1) NOT NULL,
	[Quantidade] [decimal](28, 10) NOT NULL,
	[Stock_Anterior] [decimal](28, 10) NOT NULL,
	[Stock_Actual] [decimal](28, 10) NOT NULL,
	[StockLot_Anterior] [decimal](28, 10) NOT NULL,
	[StockLot_Actual] [decimal](28, 10) NOT NULL,
	[StockArm_Anterior] [decimal](28, 10) NOT NULL,
	[StockArm_Actual] [decimal](28, 10) NOT NULL,
	[StockArmLot_Anterior] [decimal](28, 10) NOT NULL,
	[StockArmLot_Actual] [decimal](28, 10) NOT NULL,
	[StockLoc_Anterior] [decimal](28, 10) NOT NULL,
	[StockLoc_Actual] [decimal](28, 10) NOT NULL,
	[StockLocLot_Anterior] [decimal](28, 10) NOT NULL,
	[StockLocLot_Actual] [decimal](28, 10) NOT NULL,
	[Existencias_Anterior] [decimal](28, 10) NOT NULL,
	[Existencias_Actual] [decimal](28, 10) NOT NULL,
	[ExistenciasLot_Anterior] [decimal](28, 10) NOT NULL,
	[ExistenciasLot_Actual] [decimal](28, 10) NOT NULL,
	[ExistenciasArm_Anterior] [decimal](28, 10) NOT NULL,
	[ExistenciasArm_Actual] [decimal](28, 10) NOT NULL,
	[ExistenciasArmLot_Anterior] [decimal](28, 10) NOT NULL,
	[ExistenciasArmLot_Actual] [decimal](28, 10) NOT NULL,
	[ExistenciasLoc_Anterior] [decimal](28, 10) NOT NULL,
	[ExistenciasLoc_Actual] [decimal](28, 10) NOT NULL,
	[ExistenciasLocLot_Anterior] [decimal](28, 10) NOT NULL,
	[ExistenciasLocLot_Actual] [decimal](28, 10) NOT NULL,
	[IdReserva] [uniqueidentifier] NULL,
	[Sistema] [bit] NOT NULL,
	[VersaoUltAct] [timestamp] NOT NULL,
	[Calculado] [tinyint] NOT NULL,
	[ExistenciasGrpCst_Actual] [decimal](28, 10) NOT NULL,
	[ExistenciasGrpCst_Anterior] [decimal](28, 10) NOT NULL,
	[ExistenciasGrpCstLot_Actual] [decimal](28, 10) NOT NULL,
	[ExistenciasGrpCstLot_Anterior] [decimal](28, 10) NOT NULL,
 CONSTRAINT [INV_Movimentos_PK] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
)

GO
----- Vistas referentes  Tabela: INV_Movimentos------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'INV_Movimentos' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_INV_Movimentos AS SELECT TOP 10 * FROM INV_Movimentos ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_INV_Movimentos AS SELECT TOP 10 * FROM INV_Movimentos ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'INV_Movimentos' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_INV_Movimentos AS SELECT TOP 1 * FROM INV_Movimentos ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_INV_Movimentos AS SELECT TOP 1 * FROM INV_Movimentos ORDER BY VersaoUltAct') 
END
GO


----- TABELA: INV_Origens------------------

CREATE TABLE [dbo].[INV_Origens](
	[Id] [uniqueidentifier] NOT NULL,
	[IdTipoOrigem] [uniqueidentifier] NOT NULL,
	[IdChave1] [uniqueidentifier] NULL,
	[IdChave2] [uniqueidentifier] NULL,
	[IdChave3] [uniqueidentifier] NULL,
	[IdChave4] [uniqueidentifier] NULL,
	[NumLinha] [int] NULL,
	[Documento] [nvarchar](50) NULL,
	[Data] [datetime] NOT NULL,
	[DataIntegracao] [datetime] NOT NULL,
	[Filial] [nvarchar](3) NOT NULL,
	[IDProjecto] [uniqueidentifier] NULL,
	[WBSItem] [nvarchar](100) NULL,
	[Chave1] [nvarchar](50) NULL,
	[Chave2] [nvarchar](50) NULL,
	[NumChave1] [int] NULL,
	[NumChave2] [int] NULL,
	[Moeda] [nvarchar](3) NOT NULL,
	[Cambio] [float] NOT NULL,
	[CambioMBase] [float] NOT NULL,
	[CambioMAlt] [float] NOT NULL,
	[ValorUnitario] [decimal](28, 10) NOT NULL,
	[ValorAdicional] [decimal](28, 10) NOT NULL,
	[ValorAbater] [decimal](28, 10) NOT NULL,
	[Quantidade] [decimal](28, 10) NOT NULL,
	[Unidade] [nvarchar](5) NULL,
	[FactorConv] [decimal](28, 10) NOT NULL,
	[ActualizaStock] [bit] NOT NULL,
	[ActualizaCusto] [bit] NOT NULL,
	[ActualizaPCU] [bit] NOT NULL,
	[ActualizaDUE] [bit] NOT NULL,
	[ActualizaDUS] [bit] NOT NULL,
	[AplicaValorizacao] [bit] NOT NULL,
	[TipoCusteio] [tinyint] NOT NULL,
	[VersaoUltAct] [timestamp] NOT NULL,
 CONSTRAINT [INV_Origens_PK] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80)
)

GO
----- Vistas referentes  Tabela: INV_Origens------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'INV_Origens' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_INV_Origens AS SELECT TOP 10 * FROM INV_Origens ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_INV_Origens AS SELECT TOP 10 * FROM INV_Origens ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'INV_Origens' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_INV_Origens AS SELECT TOP 1 * FROM INV_Origens ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_INV_Origens AS SELECT TOP 1 * FROM INV_Origens ORDER BY VersaoUltAct') 
END
GO


----- TABELA: INV_SeriesComposicoes------------------

CREATE TABLE [dbo].[INV_SeriesComposicoes](
	[TipoDoc] [nvarchar](5) NOT NULL,
	[Serie] [nvarchar](5) NOT NULL,
	[Ordem] [int] NULL,
	[Descricao] [nvarchar](50) NULL,
	[SerieInactiva] [bit] NULL,
	[SeriePorDefeito] [bit] NOT NULL,
	[NumeracaoAutomatica] [bit] NULL,
	[Numerador] [int] NULL,
	[DataUltimoDocumento] [datetime] NULL,
	[LimiteInferior] [int] NULL,
	[LimiteSuperior] [int] NULL,
	[DataInicial] [datetime] NOT NULL,
	[DataFinal] [datetime] NOT NULL,
	[AlterarData] [bit] NULL,
	[IvaIncluido] [bit] NULL,
	[SugereDataSistema] [bit] NULL,
	[UtilizadoEmPOS] [bit] NULL,
	[AbreGaveta] [bit] NULL,
	[UtilizaDescAbreviada] [bit] NULL,
	[ImpressoraPorDefeito] [nvarchar](1) NULL,
	[ModeloPOS] [nvarchar](8) NULL,
	[Config] [nvarchar](8) NULL,
	[NumVias] [nvarchar](1) NULL,
	[Previsao] [bit] NULL,
	[DescricaoVia01] [nvarchar](20) NULL,
	[DescricaoVia02] [nvarchar](20) NULL,
	[DescricaoVia03] [nvarchar](20) NULL,
	[DescricaoVia04] [nvarchar](20) NULL,
	[DescricaoVia05] [nvarchar](20) NULL,
	[DescricaoVia06] [nvarchar](20) NULL,
	[ImprimirDirectamente] [bit] NULL,
	[SerieAutomatica] [bit] NULL,
	[ArmazemSugestao] [nvarchar](5) NULL,
	[LocalSugestao] [varchar](30) NULL,
	[UtilizadoEmPMS] [bit] NOT NULL,
	[TipoLancamento] [varchar](3) NULL,
	[SugereMoradaArmazem] [bit] NULL,
	[VersaoUltAct] [timestamp] NOT NULL,
 CONSTRAINT [INV_SeriesComposicoes01] PRIMARY KEY CLUSTERED 
(
	[TipoDoc] ASC,
	[Serie] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
)

GO
----- Vistas referentes  Tabela: INV_SeriesComposicoes------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'INV_SeriesComposicoes' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_INV_SeriesComposicoes AS SELECT TOP 10 * FROM INV_SeriesComposicoes ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_INV_SeriesComposicoes AS SELECT TOP 10 * FROM INV_SeriesComposicoes ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'INV_SeriesComposicoes' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_INV_SeriesComposicoes AS SELECT TOP 1 * FROM INV_SeriesComposicoes ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_INV_SeriesComposicoes AS SELECT TOP 1 * FROM INV_SeriesComposicoes ORDER BY VersaoUltAct') 
END
GO


----- TABELA: INV_SeriesTransferencias------------------

CREATE TABLE [dbo].[INV_SeriesTransferencias](
	[TipoDoc] [nvarchar](5) NOT NULL,
	[Serie] [nvarchar](5) NOT NULL,
	[Ordem] [int] NULL,
	[Descricao] [nvarchar](50) NULL,
	[SerieInactiva] [bit] NULL,
	[SeriePorDefeito] [bit] NOT NULL,
	[NumeracaoAutomatica] [bit] NULL,
	[Numerador] [int] NULL,
	[DataUltimoDocumento] [datetime] NULL,
	[LimiteInferior] [int] NULL,
	[LimiteSuperior] [int] NULL,
	[DataInicial] [datetime] NOT NULL,
	[DataFinal] [datetime] NOT NULL,
	[AlterarData] [bit] NULL,
	[IvaIncluido] [bit] NULL,
	[SugereDataSistema] [bit] NULL,
	[UtilizadoEmPOS] [bit] NULL,
	[AbreGaveta] [bit] NULL,
	[UtilizaDescAbreviada] [bit] NULL,
	[ImpressoraPorDefeito] [nvarchar](1) NULL,
	[ModeloPOS] [nvarchar](8) NULL,
	[Config] [nvarchar](8) NULL,
	[NumVias] [nvarchar](1) NULL,
	[Previsao] [bit] NULL,
	[DescricaoVia01] [nvarchar](20) NULL,
	[DescricaoVia02] [nvarchar](20) NULL,
	[DescricaoVia03] [nvarchar](20) NULL,
	[DescricaoVia04] [nvarchar](20) NULL,
	[DescricaoVia05] [nvarchar](20) NULL,
	[DescricaoVia06] [nvarchar](20) NULL,
	[ImprimirDirectamente] [bit] NULL,
	[SerieAutomatica] [bit] NULL,
	[ArmazemSugestao] [nvarchar](5) NULL,
	[LocalSugestao] [varchar](30) NULL,
	[UtilizadoEmPMS] [bit] NOT NULL,
	[TipoLancamento] [varchar](3) NULL,
	[SugereMoradaArmazem] [bit] NULL,
	[VersaoUltAct] [timestamp] NOT NULL,
	[ArmazemDestinoSugestao] [nvarchar](5) NULL,
	[LocalDestinoSugestao] [nvarchar](30) NULL,
 CONSTRAINT [INV_SeriesTransferencias01] PRIMARY KEY CLUSTERED 
(
	[TipoDoc] ASC,
	[Serie] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
)

GO
----- Vistas referentes  Tabela: INV_SeriesTransferencias------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'INV_SeriesTransferencias' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_INV_SeriesTransferencias AS SELECT TOP 10 * FROM INV_SeriesTransferencias ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_INV_SeriesTransferencias AS SELECT TOP 10 * FROM INV_SeriesTransferencias ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'INV_SeriesTransferencias' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_INV_SeriesTransferencias AS SELECT TOP 1 * FROM INV_SeriesTransferencias ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_INV_SeriesTransferencias AS SELECT TOP 1 * FROM INV_SeriesTransferencias ORDER BY VersaoUltAct') 
END
GO


----- TABELA: INV_Valorizacoes------------------

CREATE TABLE [dbo].[INV_Valorizacoes](
	[Id] [uniqueidentifier] NOT NULL,
	[IdOrigem] [uniqueidentifier] NOT NULL,
	[IdMovimentoStock] [uniqueidentifier] NOT NULL,
	[IdCustoPadrao] [uniqueidentifier] NULL,
	[Quantidade] [decimal](28, 10) NOT NULL,
	[Data] [datetime] NOT NULL,
	[DataValor] [datetime] NULL,
	[CustoMBase] [decimal](28, 10) NOT NULL,
	[CustoMAlt] [decimal](28, 10) NOT NULL,
	[VersaoUltAct] [timestamp] NOT NULL,
	[ValorMBase] [decimal](28, 10) NOT NULL,
	[ValorMAlt] [decimal](28, 10) NOT NULL,
 CONSTRAINT [INV_Valorizacoes_PK] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80)
)

GO
----- Vistas referentes  Tabela: INV_Valorizacoes------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'INV_Valorizacoes' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_INV_Valorizacoes AS SELECT TOP 10 * FROM INV_Valorizacoes ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_INV_Valorizacoes AS SELECT TOP 10 * FROM INV_Valorizacoes ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'INV_Valorizacoes' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_INV_Valorizacoes AS SELECT TOP 1 * FROM INV_Valorizacoes ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_INV_Valorizacoes AS SELECT TOP 1 * FROM INV_Valorizacoes ORDER BY VersaoUltAct') 
END
GO


----- TABELA: LinhasCompras------------------

CREATE TABLE [dbo].[LinhasCompras](
	[NumLinha] [smallint] NOT NULL,
	[NumDocExterno] [nvarchar](60) NULL,
	[Artigo] [nvarchar](48) NULL,
	[Desconto1] [real] NULL,
	[Desconto2] [real] NULL,
	[Desconto3] [real] NULL,
	[TaxaIva] [real] NULL,
	[CodIva] [nvarchar](2) NULL,
	[Quantidade] [float] NULL,
	[PrecUnit] [float] NULL,
	[RegimeIva] [nvarchar](1) NULL,
	[DataDoc] [datetime] NULL,
	[TipoLinha] [nvarchar](2) NULL,
	[Armazem] [nvarchar](5) NULL,
	[DataEntrada] [datetime] NULL,
	[CustoAdicionalManual] [float] NULL,
	[CustoAdicionalRateio] [float] NULL,
	[MovSTK] [nvarchar](1) NULL,
	[FactorConv] [float] NULL,
	[NumLinhaSTKGerada] [int] NULL,
	[DescontoComercial] [float] NULL,
	[Formula] [nvarchar](5) NULL,
	[VariavelA] [float] NULL,
	[VariavelB] [float] NULL,
	[VariavelC] [float] NULL,
	[QntFormula] [float] NULL,
	[Lote] [nvarchar](20) NULL,
	[PrecoLiquido] [float] NULL,
	[IntrastatPautal] [nvarchar](9) NULL,
	[IntrastatMassaLiq] [float] NULL,
	[IntrastatRegiao] [nvarchar](2) NULL,
	[IntrastatValorLiq] [float] NULL,
	[Descricao] [nvarchar](512) NULL,
	[SujeitoRetencao] [bit] NULL,
	[VersaoUltAct] [timestamp] NULL,
	[IdCabecCompras] [uniqueidentifier] NOT NULL,
	[Id] [uniqueidentifier] NOT NULL,
	[Unidade] [nvarchar](5) NULL,
	[DataEntrega] [datetime] NULL,
	[Arred] [int] NULL,
	[DifPreco] [float] NULL,
	[DifDesc] [float] NULL,
	[DifIVA] [float] NULL,
	[Conferido] [bit] NULL,
	[CCustoCBL] [nvarchar](20) NULL,
	[DescValor] [float] NULL,
	[ContaCBL] [nvarchar](20) NULL,
	[AnaliticaCBL] [nvarchar](20) NULL,
	[FuncionalCBL] [nvarchar](15) NULL,
	[OrganicaCBL] [nvarchar](15) NULL,
	[ContaOrcamCBL] [nvarchar](20) NULL,
	[ObraID] [uniqueidentifier] NULL,
	[ClasseID] [int] NULL,
	[SubEmpID] [int] NULL,
	[CategoriaID] [int] NULL,
	[PercIvaDedutivel] [real] NOT NULL,
	[TaxaProRata] [real] NOT NULL,
	[IvaNaoDedutivel] [float] NOT NULL,
	[Ecotaxa] [float] NOT NULL,
	[Localizacao] [varchar](30) NULL,
	[IdLinhaPai] [uniqueidentifier] NULL,
	[ModuloOrigemCopia] [varchar](1) NULL,
	[IdLinhaOrigemCopia] [uniqueidentifier] NULL,
	[TaxaRecargo] [float] NULL,
	[PercIncidenciaIVA] [float] NULL,
	[TotalIliquido] [float] NULL,
	[TotalDA] [float] NULL,
	[TotalDC] [float] NULL,
	[TotalDF] [float] NULL,
	[TotalRecargo] [float] NULL,
	[TotalIva] [float] NULL,
	[IdLinhaReqInterna] [uniqueidentifier] NULL,
	[TipoAuto] [varchar](3) NULL,
	[AutoID] [uniqueidentifier] NULL,
	[IDB2BLinhaOrig] [uniqueidentifier] NULL,
	[B2BNumLinhaOrig] [int] NOT NULL,
	[CodIvaEcotaxa] [varchar](2) NULL,
	[TaxaIvaEcotaxa] [real] NULL,
	[TotalEcotaxa] [float] NOT NULL,
	[CDU_LinVar1ENC] [nvarchar](15) NULL,
	[CDU_LinVar2ENC] [nvarchar](15) NULL,
	[CDU_LinVar3ENC] [nvarchar](15) NULL,
	[CDU_LinVar4ENC] [nvarchar](15) NULL,
	[CDU_LinVar5ENC] [nvarchar](15) NULL,
	[IntrastatPaisOrigem] [varchar](2) NULL,
	[IvaRegraCalculo] [smallint] NOT NULL,
	[MotivoEstorno] [nvarchar](3) NULL,
	[IDLinhaEstorno] [uniqueidentifier] NULL,
	[IdHistorico] [uniqueidentifier] NULL,
	[EstadoPendente] [nvarchar](4) NULL,
	[CodIvaIEC] [varchar](2) NULL,
	[TaxaIvaIEC] [float] NULL,
	[TotalIEC] [float] NULL,
	[ValorIEC] [float] NULL,
	[ItemId] [int] NULL,
	[ItemCod] [nvarchar](20) NULL,
	[ItemDesc] [varchar](4000) NULL,
	[TipoOperacao] [nvarchar](2) NULL,
	[AcertoIVA] [float] NULL,
	[WBSItem] [nvarchar](100) NULL,
	[BaseIncidencia] [float] NOT NULL,
	[BaseCalculoIncidencia] [float] NOT NULL,
	[RegraCalculoIncidencia] [tinyint] NOT NULL,
	[MoedaDocOrig] [nvarchar](3) NULL,
	[CambioDocOrig] [float] NULL,
	[CambioMBaseDocOrig] [float] NULL,
	[CambioMAltDocOrig] [float] NULL,
	[DifCambioMAlt] [float] NULL,
	[DifCambioMBase] [float] NULL,
	[DifArredondamentoMAlt] [float] NULL,
	[DifArredondamentoMBase] [float] NULL,
	[EstadoAdi] [nvarchar](4) NULL,
	[ProcessoID] [uniqueidentifier] NULL,
	[ValorLiquidoDesconto] [float] NOT NULL,
	[IvaValorDesconto] [float] NOT NULL,
	[ContratoID] [uniqueidentifier] NULL,
	[IsentoPagDireitos] [bit] NOT NULL,
	[CodigoPautal] [nvarchar](15) NULL,
	[FonteFinancCBL] [nvarchar](10) NULL,
	[ActividadeCBL] [nvarchar](10) NULL,
	[ProgMedidaCBL] [nvarchar](10) NULL,
	[ClassEcon] [nvarchar](15) NULL,
	[Processo] [nvarchar](20) NULL,
	[LinhaProcesso] [int] NULL,
	[AcertoProcesso] [float] NULL,
	[ValorProcessoComIva] [bit] NULL,
	[NumEstado] [int] NULL,
	[ValorAnoN] [float] NULL,
	[ValorAnoN1] [float] NULL,
	[ValorAnoN2] [float] NULL,
	[ValorAnoN3] [float] NULL,
	[ValorAnoN4] [float] NULL,
	[ValorAnoNSeg] [float] NULL,
	[VariacaoCusto] [float] NULL,
	[PrecoCusto] [float] NULL,
	[IdLinhaProjecao] [uniqueidentifier] NULL,
	[EstadoOrigem] [nvarchar](10) NULL,
	[EstadoDestino] [nvarchar](10) NULL,
	[CustoMercadoriasMBase] [decimal](28, 10) NOT NULL,
	[CustoMercadoriasMAlt] [decimal](28, 10) NOT NULL,
	[VariacaoCustoMBase] [decimal](28, 10) NOT NULL,
	[VariacaoCustoMAlt] [decimal](28, 10) NOT NULL,
	[NaturezaTrabalhos] [smallint] NULL,
	[TotalIvaInversaoSujPassivo] [float] NULL,
 CONSTRAINT [LinhasCompras01] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80)
)

GO
----- Vistas referentes  Tabela: LinhasCompras------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'LinhasCompras' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_LinhasCompras AS SELECT TOP 10 * FROM LinhasCompras ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_LinhasCompras AS SELECT TOP 10 * FROM LinhasCompras ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'LinhasCompras' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_LinhasCompras AS SELECT TOP 1 * FROM LinhasCompras ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_LinhasCompras AS SELECT TOP 1 * FROM LinhasCompras ORDER BY VersaoUltAct') 
END
GO


----- TABELA: LinhasComprasStatus------------------

CREATE TABLE [dbo].[LinhasComprasStatus](
	[IdLinhasCompras] [uniqueidentifier] NOT NULL,
	[Quantidade] [float] NULL,
	[QuantReserv] [float] NULL,
	[QuantTrans] [float] NULL,
	[EstadoTrans] [nvarchar](1) NULL,
	[Estrategia] [nvarchar](5) NULL,
	[Fechado] [bit] NULL,
	[VersaoUltAct] [timestamp] NULL,
	[QuantCopiada] [float] NULL,
	[EstadoIMO] [tinyint] NOT NULL,
	[Observacoes] [nvarchar](max) NULL,
 CONSTRAINT [LinhasComprasStatus01] PRIMARY KEY CLUSTERED 
(
	[IdLinhasCompras] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80)
)

GO
----- Vistas referentes  Tabela: LinhasComprasStatus------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'LinhasComprasStatus' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_LinhasComprasStatus AS SELECT TOP 10 * FROM LinhasComprasStatus ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_LinhasComprasStatus AS SELECT TOP 10 * FROM LinhasComprasStatus ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'LinhasComprasStatus' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_LinhasComprasStatus AS SELECT TOP 1 * FROM LinhasComprasStatus ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_LinhasComprasStatus AS SELECT TOP 1 * FROM LinhasComprasStatus ORDER BY VersaoUltAct') 
END
GO


----- TABELA: LinhasDoc------------------

CREATE TABLE [dbo].[LinhasDoc](
	[NumLinha] [smallint] NOT NULL,
	[Artigo] [nvarchar](48) NULL,
	[Desconto1] [real] NULL,
	[Desconto2] [real] NULL,
	[Desconto3] [real] NULL,
	[TaxaIva] [real] NULL,
	[CodIva] [nvarchar](2) NULL,
	[Quantidade] [float] NULL,
	[PCM] [float] NULL,
	[PrecUnit] [float] NULL,
	[RegimeIva] [nvarchar](1) NULL,
	[Data] [datetime] NULL,
	[TipoLinha] [nvarchar](2) NULL,
	[Seccao] [nvarchar](2) NULL,
	[Armazem] [nvarchar](5) NULL,
	[MovSTK] [nvarchar](1) NULL,
	[FactorConv] [float] NULL,
	[NumLinhaSTKGerada] [smallint] NULL,
	[DataSaida] [datetime] NULL,
	[DescontoComercial] [float] NULL,
	[Formula] [nvarchar](5) NULL,
	[VariavelA] [float] NULL,
	[VariavelB] [float] NULL,
	[VariavelC] [float] NULL,
	[QntFormula] [float] NULL,
	[Comissao] [float] NULL,
	[Lote] [nvarchar](20) NULL,
	[PrecoLiquido] [float] NULL,
	[Vendedor] [nvarchar](3) NULL,
	[IntrastatPautal] [nvarchar](9) NULL,
	[IntrastatMassaLiq] [float] NULL,
	[IntrastatRegiao] [nvarchar](2) NULL,
	[IntrastatValorLiq] [float] NULL,
	[Descricao] [nvarchar](512) NULL,
	[SujeitoRetencao] [bit] NULL,
	[VersaoUltAct] [timestamp] NULL,
	[IdCabecDoc] [uniqueidentifier] NOT NULL,
	[Id] [uniqueidentifier] NOT NULL,
	[Unidade] [nvarchar](5) NULL,
	[DataEntrega] [datetime] NULL,
	[IdHistorico] [uniqueidentifier] NULL,
	[Arred] [int] NULL,
	[Devolucao] [bit] NULL,
	[PCMDevolucao] [float] NULL,
	[ContaCBL] [nvarchar](20) NULL,
	[CCustoCBL] [nvarchar](15) NULL,
	[AnaliticaCBL] [nvarchar](20) NULL,
	[FuncionalCBL] [nvarchar](15) NULL,
	[OrganicaCBL] [nvarchar](15) NULL,
	[ContaOrcamCBL] [nvarchar](20) NULL,
	[ObraID] [uniqueidentifier] NULL,
	[ClasseID] [int] NULL,
	[SubEmpID] [int] NULL,
	[CategoriaID] [int] NULL,
	[DifPCMedio] [float] NULL,
	[PercIvaDedutivel] [real] NOT NULL,
	[IvaNaoDedutivel] [float] NOT NULL,
	[Ecotaxa] [float] NOT NULL,
	[Localizacao] [varchar](30) NULL,
	[IdLinhaPai] [uniqueidentifier] NULL,
	[ModuloOrigemCopia] [varchar](1) NULL,
	[IdLinhaOrigemCopia] [uniqueidentifier] NULL,
	[TaxaRecargo] [float] NULL,
	[PercIncidenciaIVA] [float] NULL,
	[TotalIliquido] [float] NULL,
	[TotalDA] [float] NULL,
	[TotalDC] [float] NULL,
	[TotalDF] [float] NULL,
	[TotalRecargo] [float] NULL,
	[TotalIva] [float] NULL,
	[TipoCustoPrevisto] [tinyint] NOT NULL,
	[CustoPrevisto] [float] NOT NULL,
	[Margem] [float] NOT NULL,
	[PercentagemMargem] [float] NOT NULL,
	[TipoAuto] [varchar](3) NULL,
	[AutoID] [uniqueidentifier] NULL,
	[IDB2BLinhaOrig] [uniqueidentifier] NULL,
	[B2BNumLinhaOrig] [int] NOT NULL,
	[CodIvaEcotaxa] [varchar](2) NULL,
	[TaxaIvaEcotaxa] [real] NULL,
	[TotalEcotaxa] [float] NOT NULL,
	[CDU_LinVar1ENC] [nvarchar](15) NULL,
	[CDU_LinVar2ENC] [nvarchar](15) NULL,
	[CDU_LinVar3ENC] [nvarchar](15) NULL,
	[CDU_LinVar4ENC] [nvarchar](15) NULL,
	[CDU_LinVar5ENC] [nvarchar](15) NULL,
	[IntrastatPaisOrigem] [varchar](2) NULL,
	[IvaRegraCalculo] [smallint] NOT NULL,
	[MotivoEstorno] [nvarchar](3) NULL,
	[IDLinhaEstorno] [uniqueidentifier] NULL,
	[EstadoPendente] [nvarchar](4) NULL,
	[CodIvaIEC] [varchar](2) NULL,
	[TaxaIvaIEC] [float] NULL,
	[TotalIEC] [float] NULL,
	[ValorIEC] [float] NULL,
	[ItemId] [int] NULL,
	[ItemCod] [nvarchar](20) NULL,
	[ItemDesc] [varchar](4000) NULL,
	[TipoOperacao] [nvarchar](2) NULL,
	[WBSItem] [nvarchar](100) NULL,
	[AlternativaGPR] [nvarchar](2) NULL,
	[BaseIncidencia] [float] NOT NULL,
	[BaseCalculoIncidencia] [float] NOT NULL,
	[RegraCalculoIncidencia] [tinyint] NOT NULL,
	[MoedaDocOrig] [nvarchar](3) NULL,
	[CambioDocOrig] [float] NULL,
	[CambioMBaseDocOrig] [float] NULL,
	[CambioMAltDocOrig] [float] NULL,
	[DifCambioMAlt] [float] NULL,
	[DifCambioMBase] [float] NULL,
	[DifArredondamentoMAlt] [float] NULL,
	[DifArredondamentoMBase] [float] NULL,
	[EstadoAdi] [nvarchar](4) NULL,
	[Ano] [smallint] NULL,
	[Selo] [nvarchar](15) NULL,
	[IncidenciaIS] [float] NULL,
	[ValorIS] [float] NULL,
	[ContratoID] [uniqueidentifier] NULL,
	[ValorLiquidoDesconto] [float] NOT NULL,
	[IvaValorDesconto] [float] NOT NULL,
	[ProcessoID] [uniqueidentifier] NULL,
	[NumCompromisso] [nvarchar](30) NULL,
	[CDU_UnidadeAlternativa] [nvarchar](5) NULL,
	[CDU_QuantidadeAlternativa] [float] NULL,
	[CDU_FactorConversaoAlternativa] [float] NULL,
	[FonteFinancCBL] [nvarchar](10) NULL,
	[ActividadeCBL] [nvarchar](10) NULL,
	[ProgMedidaCBL] [nvarchar](10) NULL,
	[ClassEcon] [nvarchar](15) NULL,
	[Processo] [nvarchar](20) NULL,
	[LinhaProcesso] [int] NULL,
	[AcertoProcesso] [float] NULL,
	[ValorProcessoComIva] [bit] NULL,
	[NumEstado] [int] NULL,
	[ValorAnoN] [float] NULL,
	[ValorAnoN1] [float] NULL,
	[ValorAnoN2] [float] NULL,
	[ValorAnoN3] [float] NULL,
	[ValorAnoN4] [float] NULL,
	[ValorAnoNSeg] [float] NULL,
	[VariacaoCusto] [float] NULL,
	[EstadoOrigem] [nvarchar](10) NULL,
	[EstadoDestino] [nvarchar](10) NULL,
	[IDReserva] [uniqueidentifier] NULL,
	[CustoMercadoriasMBase] [decimal](28, 10) NOT NULL,
	[CustoMercadoriasMAlt] [decimal](28, 10) NOT NULL,
	[VariacaoCustoMBase] [decimal](28, 10) NOT NULL,
	[VariacaoCustoMAlt] [decimal](28, 10) NOT NULL,
	[CDU_QtdBonus] [float] NULL,
	[TotalIvaInversaoSujPassivo] [float] NULL,
 CONSTRAINT [LinhasDoc01] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90)
)

GO
----- Vistas referentes  Tabela: LinhasDoc------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'LinhasDoc' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_LinhasDoc AS SELECT TOP 10 * FROM LinhasDoc ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_LinhasDoc AS SELECT TOP 10 * FROM LinhasDoc ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'LinhasDoc' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_LinhasDoc AS SELECT TOP 1 * FROM LinhasDoc ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_LinhasDoc AS SELECT TOP 1 * FROM LinhasDoc ORDER BY VersaoUltAct') 
END
GO


----- TABELA: LinhasDocStatus------------------

CREATE TABLE [dbo].[LinhasDocStatus](
	[IdLinhasDoc] [uniqueidentifier] NOT NULL,
	[Quantidade] [float] NULL,
	[QuantReserv] [float] NULL,
	[QuantTrans] [float] NULL,
	[EstadoTrans] [nvarchar](1) NULL,
	[Estrategia] [nvarchar](5) NULL,
	[Fechado] [bit] NULL,
	[VersaoUltAct] [timestamp] NULL,
	[QuantCopiada] [float] NULL,
	[eGAR_APADocCodeID] [nvarchar](200) NULL,
	[EstadoIMO] [tinyint] NOT NULL,
	[Observacoes] [nvarchar](max) NULL,
 CONSTRAINT [LinhasDocStatus01] PRIMARY KEY CLUSTERED 
(
	[IdLinhasDoc] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90)
)

GO
----- Vistas referentes  Tabela: LinhasDocStatus------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'LinhasDocStatus' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_LinhasDocStatus AS SELECT TOP 10 * FROM LinhasDocStatus ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_LinhasDocStatus AS SELECT TOP 10 * FROM LinhasDocStatus ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'LinhasDocStatus' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_LinhasDocStatus AS SELECT TOP 1 * FROM LinhasDocStatus ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_LinhasDocStatus AS SELECT TOP 1 * FROM LinhasDocStatus ORDER BY VersaoUltAct') 
END
GO


----- TABELA: LinhasInternos------------------

CREATE TABLE [dbo].[LinhasInternos](
	[Id] [uniqueidentifier] NOT NULL,
	[IdCabecInternos] [uniqueidentifier] NOT NULL,
	[NumLinha] [int] NOT NULL,
	[TipoLinha] [varchar](2) NULL,
	[Artigo] [nvarchar](48) NULL,
	[Armazem] [nvarchar](5) NULL,
	[Localizacao] [varchar](30) NULL,
	[Lote] [varchar](20) NULL,
	[Descricao] [varchar](512) NULL,
	[Quantidade] [float] NULL,
	[Unidade] [nvarchar](5) NULL,
	[PrecUnit] [float] NULL,
	[PrecoLiquido] [float] NULL,
	[TaxaIva] [real] NULL,
	[CodIva] [nvarchar](2) NULL,
	[RegimeIva] [varchar](1) NULL,
	[Desconto1] [real] NULL,
	[Desconto2] [real] NULL,
	[Desconto3] [real] NULL,
	[DescontoComercial] [float] NULL,
	[Data] [datetime] NULL,
	[DataEntrega] [datetime] NULL,
	[FactorConv] [float] NULL,
	[ArredFConv] [int] NULL,
	[MovStk] [bit] NULL,
	[DataDocStk] [datetime] NULL,
	[NumLinhaStkGerada] [int] NULL,
	[Estado] [varchar](1) NULL,
	[Anulado] [bit] NULL,
	[Fechado] [bit] NULL,
	[Formula] [nvarchar](5) NULL,
	[VariavelA] [float] NULL,
	[VariavelB] [float] NULL,
	[VariavelC] [float] NULL,
	[QntFormula] [float] NULL,
	[ContaCBL] [varchar](20) NULL,
	[CCustoCBL] [varchar](15) NULL,
	[AnaliticaCBL] [varchar](20) NULL,
	[FuncionalCBL] [varchar](15) NULL,
	[ObraId] [uniqueidentifier] NULL,
	[ClasseId] [int] NULL,
	[SubEmpId] [int] NULL,
	[CategoriaId] [int] NULL,
	[VersaoUltAct] [timestamp] NULL,
	[IdLinhaPai] [uniqueidentifier] NULL,
	[ModuloOrigemCopia] [varchar](1) NULL,
	[IdLinhaOrigemCopia] [uniqueidentifier] NULL,
	[TaxaRecargo] [float] NULL,
	[PercIncidenciaIVA] [float] NULL,
	[TotalIliquido] [float] NULL,
	[TotalDA] [float] NULL,
	[TotalDC] [float] NULL,
	[TotalDF] [float] NULL,
	[TotalRecargo] [float] NULL,
	[TotalIva] [float] NULL,
	[TipoEntidade] [nvarchar](1) NULL,
	[Entidade] [nvarchar](12) NULL,
	[IdLinhaReqInterna] [uniqueidentifier] NULL,
	[PCPadrao] [float] NULL,
	[QntSatisfeita] [float] NULL,
	[Margem] [float] NULL,
	[PercentagemMargem] [real] NULL,
	[ArtigoDaEntidade] [nvarchar](48) NULL,
	[DescArtigoDaEntidade] [nvarchar](50) NULL,
	[ContabilizaTotais] [bit] NOT NULL,
	[TipoCustoPrevisto] [tinyint] NOT NULL,
	[CustoPrevisto] [float] NOT NULL,
	[PercIvaDedutivel] [real] NOT NULL,
	[TaxaProRata] [real] NOT NULL,
	[IvaNaoDedutivel] [float] NOT NULL,
	[IDLinhaSubstituicao] [uniqueidentifier] NULL,
	[Ecotaxa] [float] NOT NULL,
	[CodIvaEcotaxa] [varchar](2) NULL,
	[TaxaIvaEcotaxa] [real] NULL,
	[TotalEcotaxa] [float] NOT NULL,
	[IvaRegraCalculo] [smallint] NOT NULL,
	[MotivoEstorno] [nvarchar](3) NULL,
	[IDLinhaEstorno] [uniqueidentifier] NULL,
	[ItemId] [int] NULL,
	[ItemCod] [nvarchar](20) NULL,
	[ItemDesc] [varchar](4000) NULL,
	[TipoOperacao] [nvarchar](2) NULL,
	[WBSItem] [nvarchar](100) NULL,
	[AlternativaGPR] [nvarchar](2) NULL,
	[BaseIncidencia] [float] NOT NULL,
	[BaseCalculoIncidencia] [float] NOT NULL,
	[RegraCalculoIncidencia] [tinyint] NOT NULL,
	[ProcessoID] [uniqueidentifier] NULL,
	[OrganicaCBL] [nvarchar](15) NULL,
	[ContaOrcamCBL] [nvarchar](20) NULL,
	[FonteFinancCBL] [nvarchar](10) NULL,
	[ActividadeCBL] [nvarchar](10) NULL,
	[ProgMedidaCBL] [nvarchar](10) NULL,
	[ClassEcon] [nvarchar](15) NULL,
	[Processo] [nvarchar](20) NULL,
	[LinhaProcesso] [int] NULL,
	[AcertoProcesso] [float] NULL,
	[ValorProcessoComIva] [bit] NULL,
	[NumEstado] [int] NULL,
	[ValorAnoN] [float] NULL,
	[ValorAnoN1] [float] NULL,
	[ValorAnoN2] [float] NULL,
	[ValorAnoN3] [float] NULL,
	[ValorAnoN4] [float] NULL,
	[ValorAnoNSeg] [float] NULL,
	[VariacaoCusto] [float] NULL,
	[EstadoOrigem] [nvarchar](10) NULL,
	[EstadoDestino] [nvarchar](10) NULL,
	[IDReserva] [uniqueidentifier] NULL,
	[IdLinhaOrdemFabrico] [int] NOT NULL,
	[CustoMercadoriasMBase] [decimal](28, 10) NOT NULL,
	[CustoMercadoriasMAlt] [decimal](28, 10) NOT NULL,
	[VariacaoCustoMBase] [decimal](28, 10) NOT NULL,
	[VariacaoCustoMAlt] [decimal](28, 10) NOT NULL,
	[IdLinhaProjecao] [uniqueidentifier] NULL,
 CONSTRAINT [LinhasInternos01] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90)
)

GO
----- Vistas referentes  Tabela: LinhasInternos------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'LinhasInternos' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_LinhasInternos AS SELECT TOP 10 * FROM LinhasInternos ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_LinhasInternos AS SELECT TOP 10 * FROM LinhasInternos ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'LinhasInternos' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_LinhasInternos AS SELECT TOP 1 * FROM LinhasInternos ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_LinhasInternos AS SELECT TOP 1 * FROM LinhasInternos ORDER BY VersaoUltAct') 
END
GO


----- TABELA: LinhasInternosStatus------------------

CREATE TABLE [dbo].[LinhasInternosStatus](
	[IdLinha] [uniqueidentifier] NOT NULL,
	[Quantidade] [float] NULL,
	[QuantCopiada] [float] NULL,
	[VersaoUltAct] [timestamp] NULL,
 CONSTRAINT [LinhasInternosStatus01] PRIMARY KEY CLUSTERED 
(
	[IdLinha] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80)
)

GO
----- Vistas referentes  Tabela: LinhasInternosStatus------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'LinhasInternosStatus' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_LinhasInternosStatus AS SELECT TOP 10 * FROM LinhasInternosStatus ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_LinhasInternosStatus AS SELECT TOP 10 * FROM LinhasInternosStatus ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'LinhasInternosStatus' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_LinhasInternosStatus AS SELECT TOP 1 * FROM LinhasInternosStatus ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_LinhasInternosStatus AS SELECT TOP 1 * FROM LinhasInternosStatus ORDER BY VersaoUltAct') 
END
GO


----- TABELA: LinhasLiq------------------

CREATE TABLE [dbo].[LinhasLiq](
	[TipoEntidade] [nvarchar](1) NULL,
	[Entidade] [nvarchar](12) NULL,
	[TipoDoc] [nvarchar](5) NULL,
	[NumDoc] [int] NULL,
	[DataDoc] [datetime] NULL,
	[ValorOrig] [float] NULL,
	[ValorRec] [float] NULL,
	[ValorPend] [float] NULL,
	[ValorDesconto] [float] NULL,
	[ModuloOrig] [nvarchar](1) NULL,
	[TipoDocOrig] [nvarchar](5) NULL,
	[NumDocOrig] [nvarchar](60) NULL,
	[NumDocOrigInt] [int] NULL,
	[NumPrestacao] [smallint] NULL,
	[PendenteGerado] [bit] NULL,
	[Filial] [nvarchar](3) NULL,
	[Serie] [nvarchar](5) NOT NULL,
	[FilialOrig] [nvarchar](3) NULL,
	[SerieOrig] [nvarchar](5) NULL,
	[ValorRecMoedaOrig] [float] NULL,
	[ValorDescMoedaOrig] [float] NULL,
	[Estado] [nvarchar](3) NULL,
	[TipoConta] [nvarchar](3) NULL,
	[MoedaDocOrig] [nvarchar](3) NULL,
	[CambioDocOrig] [float] NULL,
	[ContaBNCOrig] [nvarchar](5) NULL,
	[MoedaDaUEMDocOrig] [bit] NULL,
	[NumTransferencia] [int] NOT NULL,
	[ValorRetencao] [float] NULL,
	[VersaoUltAct] [timestamp] NULL,
	[Id] [uniqueidentifier] NOT NULL,
	[IdCabLiq] [uniqueidentifier] NOT NULL,
	[DifArredondamento] [float] NOT NULL,
	[DifCambio] [float] NOT NULL,
	[TransfereEntidade] [bit] NOT NULL,
	[ContaCBL] [nvarchar](20) NULL,
	[TipoOrig] [nvarchar](1) NOT NULL,
	[CambioMBaseDocOrig] [float] NOT NULL,
	[CambioMAltDocOrig] [float] NOT NULL,
	[CorreccaoMonetaria] [float] NOT NULL,
	[ValorRetencaoPendente] [float] NULL,
	[ValorRetencaoGarantia] [float] NULL,
	[ValorRetencaoGarantiaPendente] [float] NULL,
	[IdHistorico] [uniqueidentifier] NULL,
	[DifArredondamentoMAlt] [float] NULL,
	[ValorRetRecMoedaOrig] [float] NULL,
	[ValorRetGarRecMoedaOrig] [float] NULL,
	[ObraId] [uniqueidentifier] NULL,
	[IdMovCBLOrig] [uniqueidentifier] NULL,
	[WBSItem] [nvarchar](100) NULL,
	[CambioMBaseLiq] [float] NULL,
	[CambioMAltLiq] [float] NULL,
	[CambioLiq] [float] NULL,
	[DifCambioMAlt] [float] NOT NULL,
	[DataCobranca] [datetime] NULL,
	[ObservacoesSEPA] [nvarchar](500) NULL,
	[Mandato] [varchar](50) NULL,
	[ContaDomiciliacao] [varchar](5) NULL,
	[Financiada] [bit] NOT NULL,
	[AssinaturaDocOrig] [nvarchar](255) NULL,
 CONSTRAINT [LinhasLiq01] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90)
)

GO
----- Vistas referentes  Tabela: LinhasLiq------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'LinhasLiq' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_LinhasLiq AS SELECT TOP 10 * FROM LinhasLiq ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_LinhasLiq AS SELECT TOP 10 * FROM LinhasLiq ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'LinhasLiq' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_LinhasLiq AS SELECT TOP 1 * FROM LinhasLiq ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_LinhasLiq AS SELECT TOP 1 * FROM LinhasLiq ORDER BY VersaoUltAct') 
END
GO


----- TABELA: LinhasTesouraria------------------

CREATE TABLE [dbo].[LinhasTesouraria](
	[Id] [uniqueidentifier] NOT NULL,
	[IdCabecTesouraria] [uniqueidentifier] NOT NULL,
	[Linha] [int] NOT NULL,
	[ContaDestino] [nvarchar](5) NULL,
	[Movim] [nvarchar](5) NOT NULL,
	[Descricao] [nvarchar](35) NULL,
	[DtMov] [datetime] NOT NULL,
	[DtValor] [datetime] NOT NULL,
	[Numero] [nvarchar](15) NULL,
	[Rubrica] [nvarchar](35) NULL,
	[PreDatado] [bit] NOT NULL,
	[SerieCheques] [nvarchar](15) NULL,
	[Moeda] [nvarchar](3) NOT NULL,
	[Cambio] [float] NOT NULL,
	[MoedaDaUEM] [bit] NOT NULL,
	[Arredondamento] [smallint] NOT NULL,
	[Credito] [float] NOT NULL,
	[Debito] [float] NOT NULL,
	[Natureza] [nvarchar](1) NOT NULL,
	[Juro] [float] NOT NULL,
	[BalcaoCheque] [nvarchar](35) NULL,
	[IdMovimentosBancos] [uniqueidentifier] NULL,
	[IdAplicacoes] [uniqueidentifier] NULL,
	[TipoEntidade] [nvarchar](1) NULL,
	[Entidade] [nvarchar](15) NULL,
	[Emitido] [bit] NULL,
	[IdTransferencia] [uniqueidentifier] NULL,
	[IdChequeOrigem] [uniqueidentifier] NULL,
	[VersaoUltAct] [timestamp] NULL,
	[ObraID] [uniqueidentifier] NULL,
	[ClasseID] [int] NULL,
	[SubEmpID] [int] NULL,
	[CategoriaID] [int] NULL,
	[CambioMBase] [float] NOT NULL,
	[CambioMAlt] [float] NOT NULL,
	[MovimentoDividido] [bit] NULL,
	[ComissaoMB] [float] NULL,
	[Hora] [datetime] NULL,
	[ContaCBL] [nvarchar](20) NULL,
	[CCustoCBL] [nvarchar](15) NULL,
	[AnaliticaCBL] [nvarchar](20) NULL,
	[FunctionalCBL] [nvarchar](15) NULL,
	[CustoBancario] [bit] NOT NULL,
	[CobrarCusto] [bit] NOT NULL,
	[Selo] [nvarchar](15) NULL,
	[Iva] [nvarchar](2) NULL,
	[ValorPendente] [float] NULL,
	[ValorDebitado] [float] NULL,
	[ValorIva] [float] NULL,
	[IdDocOriginal] [uniqueidentifier] NULL,
	[IdLinhaLiq] [uniqueidentifier] NULL,
	[ItemId] [int] NULL,
	[ItemCod] [nvarchar](20) NULL,
	[ItemDesc] [varchar](4000) NULL,
	[WBSItem] [nvarchar](100) NULL,
	[Quantidade] [float] NOT NULL,
	[ValorIS] [float] NOT NULL,
	[AnoCBL] [smallint] NULL,
	[IncidenciaIS] [float] NOT NULL,
	[IdMovCBL] [uniqueidentifier] NULL,
	[Comissao] [bit] NOT NULL,
 CONSTRAINT [LinhasTesouraria01] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80)
)

GO
----- Vistas referentes  Tabela: LinhasTesouraria------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'LinhasTesouraria' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_LinhasTesouraria AS SELECT TOP 10 * FROM LinhasTesouraria ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_LinhasTesouraria AS SELECT TOP 10 * FROM LinhasTesouraria ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'LinhasTesouraria' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_LinhasTesouraria AS SELECT TOP 1 * FROM LinhasTesouraria ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_LinhasTesouraria AS SELECT TOP 1 * FROM LinhasTesouraria ORDER BY VersaoUltAct') 
END
GO


----- TABELA: MovimentosBancos------------------

CREATE TABLE [dbo].[MovimentosBancos](
	[Conta] [nvarchar](5) NULL,
	[Rubrica] [nvarchar](35) NULL,
	[Movim] [nvarchar](5) NULL,
	[Valor] [float] NULL,
	[Entidade] [nvarchar](15) NULL,
	[DtMov] [datetime] NULL,
	[DtValor] [datetime] NULL,
	[DtRecon] [datetime] NULL,
	[SerieCheques] [nvarchar](15) NULL,
	[Obsv] [nvarchar](100) NULL,
	[Estado] [smallint] NULL,
	[TipoMov] [nvarchar](1) NULL,
	[BalcaoCheque] [nvarchar](35) NULL,
	[Emitido] [smallint] NULL,
	[Juro] [float] NULL,
	[Modulo] [nvarchar](1) NULL,
	[TipoEntidade] [nvarchar](1) NULL,
	[Numero] [nvarchar](15) NULL,
	[Retencao] [float] NULL,
	[FilialOriginal] [nvarchar](3) NULL,
	[SerieOriginal] [nvarchar](5) NOT NULL,
	[TipoDocOriginal] [nvarchar](5) NULL,
	[NumDocOriginal] [int] NULL,
	[Hora] [datetime] NULL,
	[Utilizador] [nvarchar](20) NULL,
	[Posto] [nvarchar](3) NULL,
	[Descricao] [nvarchar](50) NULL,
	[ComissaoMB] [float] NULL,
	[VersaoUltAct] [timestamp] NULL,
	[OutroMov] [bit] NULL,
	[IdExportacaoPS2] [int] NULL,
	[Id] [uniqueidentifier] NOT NULL,
	[IdMovimentosBancos] [uniqueidentifier] NULL,
	[IdReconciliacoes] [uniqueidentifier] NULL,
	[IdTalaoDeposito] [uniqueidentifier] NULL,
	[AnoCBL] [smallint] NULL,
	[IdDiarioCaixa] [uniqueidentifier] NULL,
	[IdTransferencia] [uniqueidentifier] NULL,
	[IdChequeOrigem] [uniqueidentifier] NULL,
	[ObraID] [uniqueidentifier] NULL,
	[IdLinhasExtractoBancario] [uniqueidentifier] NULL,
	[ReconciliadoPorExtracto] [bit] NOT NULL,
	[ClasseID] [int] NULL,
	[SubEmpID] [int] NULL,
	[CategoriaID] [int] NULL,
	[CambioMBase] [float] NOT NULL,
	[CambioMAlt] [float] NOT NULL,
	[ResultadoAgrupamento] [bit] NULL,
	[MovimentoDividido] [bit] NULL,
	[ContaCBL] [nvarchar](20) NULL,
	[CCustoCBL] [nvarchar](15) NULL,
	[AnaliticaCBL] [nvarchar](20) NULL,
	[FunctionalCBL] [nvarchar](15) NULL,
	[IdTEServicosBancarios] [uniqueidentifier] NULL,
	[NumLinhaPS2] [int] NULL,
	[TipoLancamentoOrigem] [varchar](3) NULL,
	[CustoBancario] [bit] NOT NULL,
	[CobrarCusto] [bit] NOT NULL,
	[Selo] [nvarchar](15) NULL,
	[Iva] [nvarchar](2) NULL,
	[ValorPendente] [float] NULL,
	[ValorDebitado] [float] NULL,
	[DataIntroducao] [datetime] NULL,
	[WBSItem] [nvarchar](100) NULL,
	[NIBExportaPS2] [nvarchar](34) NULL,
	[IdMovCBL] [uniqueidentifier] NULL,
	[Comissao] [bit] NOT NULL,
 CONSTRAINT [MovimentosBancos01] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90)
)

GO
----- Vistas referentes  Tabela: MovimentosBancos------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'MovimentosBancos' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_MovimentosBancos AS SELECT TOP 10 * FROM MovimentosBancos ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_MovimentosBancos AS SELECT TOP 10 * FROM MovimentosBancos ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'MovimentosBancos' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_MovimentosBancos AS SELECT TOP 1 * FROM MovimentosBancos ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_MovimentosBancos AS SELECT TOP 1 * FROM MovimentosBancos ORDER BY VersaoUltAct') 
END
GO


----- TABELA: Pendentes------------------

CREATE TABLE [dbo].[Pendentes](
	[Modulo] [nvarchar](1) NOT NULL,
	[TipoEntidade] [nvarchar](1) NOT NULL,
	[Entidade] [nvarchar](12) NULL,
	[TipoDoc] [nvarchar](5) NOT NULL,
	[NumDoc] [nvarchar](60) NULL,
	[NumDocInt] [int] NOT NULL,
	[DataDoc] [datetime] NULL,
	[DataVenc] [datetime] NULL,
	[ValorTotal] [float] NULL,
	[ValorPendente] [float] NULL,
	[ModoPag] [nvarchar](5) NULL,
	[CondPag] [nvarchar](2) NULL,
	[Vendedor] [nvarchar](3) NULL,
	[Moeda] [nvarchar](3) NULL,
	[Cambio] [float] NULL,
	[NumAvisos] [smallint] NULL,
	[TipoConta] [nvarchar](3) NULL,
	[NumPrestacao] [smallint] NOT NULL,
	[Filial] [nvarchar](3) NOT NULL,
	[Serie] [nvarchar](5) NOT NULL,
	[MoedaDaUEM] [bit] NULL,
	[Estado] [nvarchar](4) NOT NULL,
	[NumAceite] [nvarchar](15) NULL,
	[Conta] [nvarchar](5) NULL,
	[TotalIva] [float] NULL,
	[CodIva] [nvarchar](2) NULL,
	[ContraValor] [float] NULL,
	[EntidadeRemessa] [nvarchar](15) NULL,
	[MoedaConta] [nvarchar](3) NULL,
	[CambioMoedaConta] [float] NULL,
	[TaxaJuro] [float] NULL,
	[Comissao] [float] NULL,
	[Plafond] [float] NULL,
	[Percentagem] [bit] NULL,
	[ImpostoSelo] [float] NULL,
	[ImpostoSeloLivrancas] [float] NULL,
	[Portes] [float] NULL,
	[Postecipado] [bit] NULL,
	[Avalista] [nvarchar](50) NULL,
	[NumContribAvalista] [nvarchar](20) NULL,
	[NIB] [nvarchar](25) NULL,
	[RespCobranca] [nvarchar](3) NULL,
	[NumTransferencia] [int] NOT NULL,
	[ValorRetencao] [float] NOT NULL,
	[VersaoUltAct] [timestamp] NULL,
	[IdHistorico] [uniqueidentifier] NOT NULL,
	[DataPrevTes] [datetime] NULL,
	[ContaCBL] [nvarchar](20) NULL,
	[DataIntroducao] [datetime] NOT NULL,
	[Origem] [smallint] NOT NULL,
	[IdGDOC] [uniqueidentifier] NULL,
	[ObraID] [uniqueidentifier] NULL,
	[CambioMBase] [float] NOT NULL,
	[CambioMAlt] [float] NOT NULL,
	[ValorRetencaoPendente] [float] NULL,
	[ValorRetencaoGarantia] [float] NULL,
	[ValorRetencaoGarantiaPendente] [float] NULL,
	[TipoPendente] [tinyint] NULL,
	[IdCabecMovCbl] [uniqueidentifier] NULL,
	[TotalRecargo] [float] NULL,
	[ContaDomiciliacao] [varchar](5) NULL,
	[NumRemessa] [int] NULL,
	[TipoLancamento] [varchar](3) NULL,
	[EntidadeComercial] [nvarchar](12) NULL,
	[TipoEntidadeComercial] [nvarchar](1) NULL,
	[IdMovCBL] [uniqueidentifier] NULL,
	[ItemId] [int] NULL,
	[RegimeIvaReembolsos] [smallint] NULL,
	[EspacoFiscal] [smallint] NULL,
	[TipoOperacao] [nvarchar](2) NULL,
	[WBSItem] [nvarchar](100) NULL,
	[CambioADataDoc] [bit] NOT NULL,
	[IdCessao] [uniqueidentifier] NULL,
	[TipoTerceiro] [nvarchar](3) NULL,
	[ContratoFactoring] [nvarchar](15) NULL,
 CONSTRAINT [Pendentes01] PRIMARY KEY CLUSTERED 
(
	[IdHistorico] ASC,
	[Estado] ASC
)WITH (PAD_INDEX = ON, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80)
)

GO
----- Vistas referentes  Tabela: Pendentes------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'Pendentes' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_Pendentes AS SELECT TOP 10 * FROM Pendentes ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_Pendentes AS SELECT TOP 10 * FROM Pendentes ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'Pendentes' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_Pendentes AS SELECT TOP 1 * FROM Pendentes ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_Pendentes AS SELECT TOP 1 * FROM Pendentes ORDER BY VersaoUltAct') 
END
GO


----- TABELA: SeriesCCT------------------

CREATE TABLE [dbo].[SeriesCCT](
	[TipoDoc] [nvarchar](5) NOT NULL,
	[Serie] [nvarchar](5) NOT NULL,
	[Ordem] [int] NULL,
	[Descricao] [nvarchar](50) NULL,
	[SerieInactiva] [bit] NULL,
	[SeriePorDefeito] [bit] NOT NULL,
	[NumeracaoAutomatica] [bit] NULL,
	[Numerador] [int] NULL,
	[DataUltimoDocumento] [datetime] NULL,
	[LimiteInferior] [int] NULL,
	[LimiteSuperior] [int] NULL,
	[DataInicial] [datetime] NOT NULL,
	[DataFinal] [datetime] NOT NULL,
	[AlterarData] [bit] NULL,
	[IvaIncluido] [bit] NULL,
	[SugereDataSistema] [bit] NULL,
	[UtilizadoEmPOS] [bit] NULL,
	[AbreGaveta] [bit] NULL,
	[UtilizaDescAbreviada] [bit] NULL,
	[ImpressoraPorDefeito] [nvarchar](1) NULL,
	[ModeloPOS] [nvarchar](8) NULL,
	[Config] [nvarchar](8) NULL,
	[NumVias] [nvarchar](1) NULL,
	[Previsao] [bit] NULL,
	[DescricaoVia01] [nvarchar](20) NULL,
	[DescricaoVia02] [nvarchar](20) NULL,
	[DescricaoVia03] [nvarchar](20) NULL,
	[DescricaoVia04] [nvarchar](20) NULL,
	[DescricaoVia05] [nvarchar](20) NULL,
	[DescricaoVia06] [nvarchar](20) NULL,
	[ImprimirDirectamente] [bit] NULL,
	[VersaoUltAct] [timestamp] NULL,
	[SerieAutomatica] [bit] NULL,
	[ArmazemSugestao] [nvarchar](5) NULL,
	[LocalSugestao] [varchar](30) NULL,
	[UtilizadoEmPMS] [bit] NOT NULL,
	[TipoLancamento] [varchar](3) NULL,
	[SugereMoradaArmazem] [bit] NULL,
	[TipoComunicacao] [smallint] NOT NULL,
	[Origem] [smallint] NOT NULL,
	[IdSerieMaquinasFiscais] [uniqueidentifier] NULL,
	[EstadoComunicacao] [smallint] NOT NULL,
	[CodigoFiscal] [nvarchar](255) NULL,
	[DescricaoEstadoComunicacao] [nvarchar](255) NULL,
	[NumeradorComunicacao] [int] NOT NULL,
	[ComunicacaoManual] [bit] NOT NULL,
	[ImpressaoPorEntidade] [bit] NOT NULL,
 CONSTRAINT [SeriesCCT01] PRIMARY KEY CLUSTERED 
(
	[TipoDoc] ASC,
	[Serie] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90)
)

GO
----- Vistas referentes  Tabela: SeriesCCT------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'SeriesCCT' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_SeriesCCT AS SELECT TOP 10 * FROM SeriesCCT ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_SeriesCCT AS SELECT TOP 10 * FROM SeriesCCT ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'SeriesCCT' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_SeriesCCT AS SELECT TOP 1 * FROM SeriesCCT ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_SeriesCCT AS SELECT TOP 1 * FROM SeriesCCT ORDER BY VersaoUltAct') 
END
GO


----- TABELA: SeriesCompras------------------

CREATE TABLE [dbo].[SeriesCompras](
	[TipoDoc] [nvarchar](5) NOT NULL,
	[Serie] [nvarchar](5) NOT NULL,
	[Ordem] [int] NULL,
	[Descricao] [nvarchar](50) NULL,
	[SerieInactiva] [bit] NULL,
	[SeriePorDefeito] [bit] NOT NULL,
	[NumeracaoAutomatica] [bit] NULL,
	[Numerador] [int] NULL,
	[DataUltimoDocumento] [datetime] NULL,
	[LimiteInferior] [int] NULL,
	[LimiteSuperior] [int] NULL,
	[DataInicial] [datetime] NOT NULL,
	[DataFinal] [datetime] NOT NULL,
	[AlterarData] [bit] NULL,
	[IvaIncluido] [bit] NULL,
	[SugereDataSistema] [bit] NULL,
	[UtilizadoEmPOS] [bit] NULL,
	[AbreGaveta] [bit] NULL,
	[UtilizaDescAbreviada] [bit] NULL,
	[ImpressoraPorDefeito] [nvarchar](1) NULL,
	[ModeloPOS] [nvarchar](8) NULL,
	[Config] [nvarchar](8) NULL,
	[NumVias] [nvarchar](1) NULL,
	[Previsao] [bit] NULL,
	[DescricaoVia01] [nvarchar](20) NULL,
	[DescricaoVia02] [nvarchar](20) NULL,
	[DescricaoVia03] [nvarchar](20) NULL,
	[DescricaoVia04] [nvarchar](20) NULL,
	[DescricaoVia05] [nvarchar](20) NULL,
	[DescricaoVia06] [nvarchar](20) NULL,
	[ImprimirDirectamente] [bit] NULL,
	[VersaoUltAct] [timestamp] NULL,
	[SerieAutomatica] [bit] NULL,
	[ArmazemSugestao] [nvarchar](5) NULL,
	[LocalSugestao] [varchar](30) NULL,
	[UtilizadoEmPMS] [bit] NOT NULL,
	[TipoLancamento] [varchar](3) NULL,
	[SerieIntegracao] [bit] NOT NULL,
	[DisponivelNoEditor] [bit] NOT NULL,
	[MostraEcovalor] [bit] NOT NULL,
	[TipoComunicacao] [smallint] NOT NULL,
	[CAESugerido] [varchar](15) NULL,
	[SugereMoradaArmazem] [bit] NULL,
	[AutoFacturacao] [bit] NOT NULL,
	[Entidade] [varchar](12) NULL,
	[EntidadeTipo] [varchar](1) NULL,
	[Origem] [smallint] NOT NULL,
	[SemActividadeEmpresarial] [bit] NOT NULL,
	[eGAR_Comunica] [bit] NOT NULL,
	[EstadoComunicacao] [smallint] NOT NULL,
	[CodigoFiscal] [nvarchar](255) NULL,
	[DescricaoEstadoComunicacao] [nvarchar](255) NULL,
	[NumeradorComunicacao] [int] NOT NULL,
	[ComunicacaoManual] [bit] NOT NULL,
 CONSTRAINT [SeriesCompras01] PRIMARY KEY CLUSTERED 
(
	[TipoDoc] ASC,
	[Serie] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90)
)

GO
----- Vistas referentes  Tabela: SeriesCompras------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'SeriesCompras' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_SeriesCompras AS SELECT TOP 10 * FROM SeriesCompras ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_SeriesCompras AS SELECT TOP 10 * FROM SeriesCompras ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'SeriesCompras' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_SeriesCompras AS SELECT TOP 1 * FROM SeriesCompras ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_SeriesCompras AS SELECT TOP 1 * FROM SeriesCompras ORDER BY VersaoUltAct') 
END
GO


----- TABELA: SeriesInternos------------------

CREATE TABLE [dbo].[SeriesInternos](
	[TipoDoc] [nvarchar](5) NOT NULL,
	[Serie] [nvarchar](5) NOT NULL,
	[Ordem] [int] NULL,
	[Descricao] [nvarchar](50) NULL,
	[SerieInactiva] [bit] NULL,
	[ImpressoraPorDefeito] [nvarchar](1) NULL,
	[DataInicial] [datetime] NOT NULL,
	[DataFinal] [datetime] NOT NULL,
	[LimiteInferior] [int] NULL,
	[LimiteSuperior] [int] NULL,
	[Numerador] [int] NULL,
	[DataUltimoDocumento] [datetime] NULL,
	[IvaIncluido] [bit] NULL,
	[SugereDataSistema] [bit] NULL,
	[SeriePorDefeito] [bit] NOT NULL,
	[UtilizadoEmPOS] [bit] NULL,
	[AlterarData] [bit] NULL,
	[NumeracaoAutomatica] [bit] NULL,
	[UtilizaDescAbreviada] [bit] NULL,
	[AbreGaveta] [bit] NULL,
	[ImprimirDirectamente] [bit] NULL,
	[ModeloPOS] [nvarchar](8) NULL,
	[Config] [nvarchar](8) NULL,
	[NumVias] [nvarchar](1) NULL,
	[Previsao] [bit] NULL,
	[DescricaoVia01] [nvarchar](20) NULL,
	[DescricaoVia02] [nvarchar](20) NULL,
	[DescricaoVia03] [nvarchar](20) NULL,
	[DescricaoVia04] [nvarchar](20) NULL,
	[DescricaoVia05] [nvarchar](20) NULL,
	[DescricaoVia06] [nvarchar](20) NULL,
	[VersaoUltAct] [timestamp] NULL,
	[ArmazemSugestao] [nvarchar](5) NULL,
	[LocalSugestao] [varchar](30) NULL,
	[UtilizadoEmPMS] [bit] NOT NULL,
	[TipoLancamento] [varchar](3) NULL,
	[MostraEcovalor] [bit] NOT NULL,
	[SugereMoradaArmazem] [bit] NULL,
	[Origem] [smallint] NOT NULL,
 CONSTRAINT [SeriesInternos01] PRIMARY KEY CLUSTERED 
(
	[TipoDoc] ASC,
	[Serie] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90)
)

GO
----- Vistas referentes  Tabela: SeriesInternos------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'SeriesInternos' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_SeriesInternos AS SELECT TOP 10 * FROM SeriesInternos ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_SeriesInternos AS SELECT TOP 10 * FROM SeriesInternos ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'SeriesInternos' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_SeriesInternos AS SELECT TOP 1 * FROM SeriesInternos ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_SeriesInternos AS SELECT TOP 1 * FROM SeriesInternos ORDER BY VersaoUltAct') 
END
GO


----- TABELA: SeriesTesouraria------------------

CREATE TABLE [dbo].[SeriesTesouraria](
	[TipoDoc] [nvarchar](5) NOT NULL,
	[Serie] [nvarchar](5) NOT NULL,
	[Ordem] [int] NULL,
	[Descricao] [nvarchar](50) NULL,
	[SerieInactiva] [bit] NULL,
	[SeriePorDefeito] [bit] NOT NULL,
	[NumeracaoAutomatica] [bit] NULL,
	[Numerador] [int] NULL,
	[DataUltimoDocumento] [datetime] NULL,
	[LimiteInferior] [int] NULL,
	[LimiteSuperior] [int] NULL,
	[DataInicial] [datetime] NOT NULL,
	[DataFinal] [datetime] NOT NULL,
	[AlterarData] [bit] NULL,
	[IvaIncluido] [bit] NULL,
	[SugereDataSistema] [bit] NULL,
	[UtilizadoEmPOS] [bit] NULL,
	[AbreGaveta] [bit] NULL,
	[UtilizaDescAbreviada] [bit] NULL,
	[ImpressoraPorDefeito] [nvarchar](1) NULL,
	[ModeloPOS] [nvarchar](8) NULL,
	[Config] [nvarchar](8) NULL,
	[NumVias] [nvarchar](1) NULL,
	[Previsao] [bit] NULL,
	[DescricaoVia01] [nvarchar](20) NULL,
	[DescricaoVia02] [nvarchar](20) NULL,
	[DescricaoVia03] [nvarchar](20) NULL,
	[DescricaoVia04] [nvarchar](20) NULL,
	[DescricaoVia05] [nvarchar](20) NULL,
	[DescricaoVia06] [nvarchar](20) NULL,
	[ImprimirDirectamente] [bit] NULL,
	[VersaoUltAct] [timestamp] NULL,
	[SerieAutomatica] [bit] NULL,
	[ArmazemSugestao] [nvarchar](5) NULL,
	[LocalSugestao] [varchar](30) NULL,
	[UtilizadoEmPMS] [bit] NOT NULL,
	[TipoLancamento] [varchar](3) NULL,
	[SugereMoradaArmazem] [bit] NULL,
 CONSTRAINT [SeriesTesouraria01] PRIMARY KEY CLUSTERED 
(
	[TipoDoc] ASC,
	[Serie] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90)
)

GO
----- Vistas referentes  Tabela: SeriesTesouraria------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'SeriesTesouraria' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_SeriesTesouraria AS SELECT TOP 10 * FROM SeriesTesouraria ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_SeriesTesouraria AS SELECT TOP 10 * FROM SeriesTesouraria ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'SeriesTesouraria' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_SeriesTesouraria AS SELECT TOP 1 * FROM SeriesTesouraria ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_SeriesTesouraria AS SELECT TOP 1 * FROM SeriesTesouraria ORDER BY VersaoUltAct') 
END
GO


----- TABELA: SeriesVendas------------------

CREATE TABLE [dbo].[SeriesVendas](
	[TipoDoc] [nvarchar](5) NOT NULL,
	[Serie] [nvarchar](5) NOT NULL,
	[Ordem] [int] NULL,
	[Descricao] [nvarchar](50) NULL,
	[SerieInactiva] [bit] NULL,
	[SeriePorDefeito] [bit] NOT NULL,
	[NumeracaoAutomatica] [bit] NULL,
	[Numerador] [int] NULL,
	[DataUltimoDocumento] [datetime] NULL,
	[LimiteInferior] [int] NULL,
	[LimiteSuperior] [int] NULL,
	[DataInicial] [datetime] NOT NULL,
	[DataFinal] [datetime] NOT NULL,
	[AlterarData] [bit] NULL,
	[IvaIncluido] [bit] NULL,
	[SugereDataSistema] [bit] NULL,
	[UtilizadoEmPOS] [bit] NULL,
	[AbreGaveta] [bit] NULL,
	[UtilizaDescAbreviada] [bit] NULL,
	[ImpressoraPorDefeito] [nvarchar](1) NULL,
	[ModeloPOS] [nvarchar](8) NULL,
	[Config] [nvarchar](8) NULL,
	[NumVias] [nvarchar](1) NULL,
	[Previsao] [bit] NULL,
	[DescricaoVia01] [nvarchar](20) NULL,
	[DescricaoVia02] [nvarchar](20) NULL,
	[DescricaoVia03] [nvarchar](20) NULL,
	[DescricaoVia04] [nvarchar](20) NULL,
	[DescricaoVia05] [nvarchar](20) NULL,
	[DescricaoVia06] [nvarchar](20) NULL,
	[ImprimirDirectamente] [bit] NULL,
	[VersaoUltAct] [timestamp] NULL,
	[SerieAutomatica] [bit] NULL,
	[Diario] [nvarchar](5) NULL,
	[ArmazemSugestao] [nvarchar](5) NULL,
	[LocalSugestao] [varchar](30) NULL,
	[UtilizadoEmPMS] [bit] NOT NULL,
	[TipoLancamento] [varchar](3) NULL,
	[TipoEntidade] [int] NOT NULL,
	[SerieIntegracao] [bit] NOT NULL,
	[DisponivelNoEditor] [bit] NOT NULL,
	[MostraEcovalor] [bit] NOT NULL,
	[TipoComunicacao] [smallint] NOT NULL,
	[CAESugerido] [varchar](15) NULL,
	[SugereMoradaArmazem] [bit] NULL,
	[AutoFacturacao] [bit] NOT NULL,
	[Entidade] [varchar](12) NULL,
	[EntidadeTipo] [varchar](1) NULL,
	[Origem] [smallint] NOT NULL,
	[Interna] [bit] NULL,
	[eGAR_AbreDocumento] [bit] NOT NULL,
	[eGAR_Comunica] [bit] NOT NULL,
	[TaxFree_Comunica] [bit] NULL,
	[IdSerieMaquinasFiscais] [uniqueidentifier] NULL,
	[ImprimeMencao] [bit] NULL,
	[EstadoComunicacao] [smallint] NOT NULL,
	[CodigoFiscal] [nvarchar](255) NULL,
	[DescricaoEstadoComunicacao] [nvarchar](255) NULL,
	[NumeradorComunicacao] [int] NOT NULL,
	[ComunicacaoManual] [bit] NOT NULL,
	[SerieRappel] [bit] NOT NULL,
	[AssinaturaDigital] [bit] NULL,
 CONSTRAINT [SeriesVendas01] PRIMARY KEY CLUSTERED 
(
	[TipoDoc] ASC,
	[Serie] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90)
)

GO
----- Vistas referentes  Tabela: SeriesVendas------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'SeriesVendas' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_SeriesVendas AS SELECT TOP 10 * FROM SeriesVendas ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_SeriesVendas AS SELECT TOP 10 * FROM SeriesVendas ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'SeriesVendas' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_SeriesVendas AS SELECT TOP 1 * FROM SeriesVendas ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_SeriesVendas AS SELECT TOP 1 * FROM SeriesVendas ORDER BY VersaoUltAct') 
END
GO


----- TABELA: TiposOrigem------------------

CREATE TABLE [dbo].[TiposOrigem](
	[IdTipoOrigem] [tinyint] NOT NULL,
	[Descricao] [nvarchar](30) NOT NULL,
	[VersaoUltAct] [timestamp] NOT NULL,
 CONSTRAINT [TiposOrigem01] PRIMARY KEY CLUSTERED 
(
	[IdTipoOrigem] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90)
)

GO
----- Vistas referentes  Tabela: TiposOrigem------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'TiposOrigem' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_TiposOrigem AS SELECT TOP 10 * FROM TiposOrigem ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_TiposOrigem AS SELECT TOP 10 * FROM TiposOrigem ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'TiposOrigem' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_TiposOrigem AS SELECT TOP 1 * FROM TiposOrigem ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_TiposOrigem AS SELECT TOP 1 * FROM TiposOrigem ORDER BY VersaoUltAct') 
END
GO


----- TABELA: INV_TiposOrigem------------------

CREATE TABLE [dbo].[INV_TiposOrigem](
	[Id] [uniqueidentifier] NOT NULL,
	[Apl] [char](5) NOT NULL,
	[NomeApl] [nvarchar](50) NULL,
	[Modulo] [char](3) NULL,
	[ResNomeApl] [int] NOT NULL,
	[UsaTipoDocumento] [bit] NOT NULL,
	[CampoTipoDocumento] [nvarchar](10) NULL,
	[DrillDown] [bit] NOT NULL,
	[CodigoEntidadeVarPerfis] [varchar](40) NULL,
	[VersaoUltAct] [timestamp] NOT NULL,
 CONSTRAINT [INV_TiposOrigem_PK] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
)

GO
----- Vistas referentes  Tabela: INV_TiposOrigem------------------
IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'INV_TiposOrigem' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP10_INV_TiposOrigem AS SELECT TOP 10 * FROM INV_TiposOrigem ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP10_INV_TiposOrigem AS SELECT TOP 10 * FROM INV_TiposOrigem ORDER BY VersaoUltAct') 
END


IF NOT EXISTS(SELECT column_name FROM INFORMATION_SCHEMA.COLUMNS WHERE table_name = 'INV_TiposOrigem' AND column_name = 'VersaoUltAct')
BEGIN
EXECUTE('CREATE VIEW VTOP01_INV_TiposOrigem AS SELECT TOP 1 * FROM INV_TiposOrigem ORDER BY 1') 
END
ELSE
BEGIN
EXECUTE('CREATE VIEW VTOP01_INV_TiposOrigem AS SELECT TOP 1 * FROM INV_TiposOrigem ORDER BY VersaoUltAct') 
END
GO


